package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ACTION_MODULE_PARAM")
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("组件参数")
public class AndonActionModuleParam extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8216680446587969610L;

    @Column(name = "AM_CODE")
    @ApiParam("组件代码")
    private String amCode;

    @Column(name = "PARAM_CODE")
    @ApiParam("参数代码")
    private String paramCode;

    @Column(name = "PARAM_NAME")
    @ApiParam("参数名称")
    private String paramName;

    @Column(name = "PARAM_TYPE")
    @ApiParam("参数类型")
    private String paramType;

    @Column(name = "DEFAULT_VALUE")
    @ApiParam("默认值")
    private String defaultValue;

}
