package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.List;

/**
 * @Description :广播配置
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-10-11
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="ANDON_BROADCAST_CFG")
@Api("生产区域")
public class AndonBroadCastCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = 5434544329665544113L;

    @Column(name="ALARM_CODE")
    @ApiParam("安灯类型代码")
    private String alarmCode;

//    @Column(name="DEVICE_NUM")
//    @ApiParam("广播设备编号")
//    private String targetIds;

    @Column(name="WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name="GROUP_NO")
    @ApiParam("分组号")
    private String groupNo;
}
