package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.AndonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference: 通知方式
 * @Author: Crish
 * @CreateDate:2019-11-11-14:23
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_RESPONSE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("通知方式")
public class AndonResponse extends BaseBean implements Serializable {

    private static final long serialVersionUID = -3558849492798328348L;

    @Column(name = "RESPONSE_CODE")
    @AnnoOutputColumn(refClass = AndonEnumUtil.NOTICE_MESSAGE_SEND_TYPE.class,refForeignKey = "value",value = "description")
    @ApiParam(value = "通知方式")
    private String responseCode;

    @Column(name = "RESPONSE_NAME")
    @AnnoOutputColumn(refClass = AndonEnumUtil.NOTICE_MESSAGE_SEND_TYPE.class,refForeignKey = "value",value = "description")
    @ApiParam(value = "通知名称")
    private String responseName;

    @Column(name = "RESPONSE_CONTENT")
    @ApiParam(value = "通知内容")
    private String responseContent;
}
