package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.AndonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : ANDON_上升配置明细
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-05-13 9:53
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_RITE_ROUTE_DETAIL")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("ANDON_上升配置明细")
public class AndonRiteRouteDetail extends BaseBean  implements Serializable {

    private static final long serialVersionUID = 8382210828244626428L;

    @Column(name = "RITE_ROUTE_ID")
    @ApiParam(value = "上升流程配置ID")
    private Long riteRouteId;

    @Column(name = "RP_WHERE")
    @ApiParam(value = "通知时间")
    private String rpWhere;

    @AnnoOutputColumn(refClass = AndonEnumUtil.NOTICE_MESSAGE_SEND_TYPE.class,refForeignKey = "value",value = "description")
    @Column(name = "RP_CODE")
    @ApiParam(value = "通知方式代码")
    private String rpCode;

    @Column(name = "RP_OBJECT_CODE")
    @ApiParam(value = "通知对象")
    private String rpObjectCode;

    @AnnoOutputColumn(refClass = AndonEnumUtil.NOTICE_MESSAGE_SEND_LEVEL.class,refForeignKey = "value",value = "description")
    @Column(name = "RP_LEVEL")
    @ApiParam(value = "通知级别")
    private String rpLevel;

}
