package cn.estsh.i3plus.pojo.andon.model;

/**
 * @Description:  站点统计分组model
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-11-22-16:02
 * @Modify:
 **/

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.List;

/**
 * 工位分组配置model
 */
@Data
public class CellGroupStatusModel implements Serializable {

    private static final long serialVersionUID = -6614881484056090725L;

    @ApiParam("工作中心代码")
    private String  workCenterCode;

    @ApiParam("安灯类型")
    private String  groupCode;

    @ApiParam("安灯类型名称")
    private String  groupName;

    @ApiParam("安灯类型名称")
    private String  workCellCode;

    @ApiParam("安灯类型名称")
    private String  workCellName;

    @ApiParam("站点运行状态")
    private String  cellGroupStatus;

    @ApiParam(value = "横坐标")
    private Float horizontalAxis = 0f;

    @ApiParam(value = "纵坐标")
    private Float verticalAxis = 0f;

    @ApiParam(value = "异常图片")
    private String abnormalSrc;

    @ApiParam(value = "正常图片")
    private String normalSrc;

    @ApiParam("当前站点下的工位故障统计")
    private List<AndonBoardModel> andonBoardModelList;
}
