package cn.estsh.i3plus.pojo.andon.model;

import cn.estsh.i3plus.pojo.andon.bean.AndonRouteStatus;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@ApiModel("通用数据传输对象")
public class CommonMsgModel implements Serializable {

    private static final long serialVersionUID = -1772176070851992335L;

    @ApiModelProperty("工厂")
    private String organizeCode;

    @ApiModelProperty("用户信息")
    private String userInfo;

    @ApiModelProperty("消息类型")
    private String msgType;

    @ApiModelProperty("消息数据")
    private Map<String, Object> msgData = new HashMap<>();

    @ApiModelProperty("流程状态集合")
    private List<AndonRouteStatus> routeStatusList;

    @ApiModelProperty("当前流程状态")
    private AndonRouteStatus curRouteStatus;

    @ApiModelProperty("触发事件")
    private String triggerEvent;

    @ApiModelProperty("默认非异常内部处理,内部异常处理是设置为true")
    private boolean errorInnerAction = false;

    @ApiModelProperty("默认异常入库")
    private boolean errorInsertFlag = true;

}
