package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :字段赋值规则
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_FIELD_SET_RULE")
@Api("属性赋值规则")
public class FieldSetRule extends BaseRule {
    private static final long serialVersionUID = 6880145972942618559L;
    @Column(name="BEAN")
    @ApiParam(value ="实体名")
    private ApsEnumUtil.FIELD_SET_BEAN bean;

    @Column(name="FILTER")
    @ApiParam(value ="筛选")
    private String filter;

    @Column(name="FIELD_NAME")
    @ApiParam(value ="字段名")
    @FieldAnnotation(notEmpty = true)
    private String fieldName;

    @Column(name="VALUE")
    @ApiParam(value ="值")
    private String value;
}
