package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description :系统参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_SYS_PARAM")
@Api("系统参数")
public class SysParam extends BaseAPS {
    private static final long serialVersionUID = 3115620726438869596L;
    @Column(name="BASE_TIME")
    @ApiParam(value ="基准时间")
    private Date baseTime;

    @Column(name="MAX_INTERRUPT_COUNT")
    @ApiParam(value ="最大中断次数")
    @FieldAnnotation(defaultValue = "20")
    private Integer maxInterruptCount = 20;

    @Column(name="TYPE")
    @ApiParam(value ="工艺路径有效判断类型")
    @FieldAnnotation(defaultValue = "CALC_LET_LT")
    private ApsEnumUtil.ROUTING_VALID_TYPE type;

    @Column(name="RULE_GROUP_ID")
    @ApiParam(value ="规则组id")
    @FieldAnnotation(display = false)
    private Long ruleGroupId;
}
