package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Date;

/**
 * @Description : 延期订单
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-06-11
 * @Modify:
 **/
@Data
public class DelaySalesOrder {

    @ApiParam(value ="订单ID")
    private Long orderId;

    @ApiParam(value ="订单编码")
    private String orderCode;

    @ApiParam(value ="订单名称")
    private String orderName;

    @ApiParam(value ="物料编码")
    private String materialCode;

    @ApiParam(value ="物料名称")
    private String materialName;

    @ApiParam(value ="订单数量")
    private Double count;

    @ApiParam(value ="最晚结束时间")
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date let;

    @ApiParam(value ="计划开始时间")
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date planStart;

    @ApiParam(value ="计划结束时间")
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date planEnd;

    @ApiParam(value ="总跨度时间")
    private String overTime;

    @ApiParam(value ="总生产时间")
    private String productTime;

    @ApiParam(value ="延期时间")
    private String delayTime;

    @ApiParam(value ="允许的最大延期时间")
    private String allowDelayTime;

    // 0正常显示，1显示黄色，2显示红色
    @ApiParam(value ="背景显示颜色")
    private Integer backgroundColor;
}
