package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Date;

/**
 * @Description : 排程结果分析及建议
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-06-11
 * @Modify:
 **/
@Data
public class ScheduleAnalyze {

    @ApiParam(value ="工作编码")
    private String workCode;

    @ApiParam(value ="数量")
    private Double count;

    @ApiParam(value ="计划开始时间")
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date planStart;

    @ApiParam(value ="计划结束时间")
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date planEnd;

    @ApiParam(value ="问题描述")
    private String describe;

    @ApiParam(value ="解决方案")
    private String solution;
}
