package cn.estsh.i3plus.pojo.base.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description : 文件基础信息
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-06-01 20:33
 * @Modify:
 **/
@Data
@ApiModel("文件基础信息")
public class ImppFile {

    /*******  文件基础信息 ******/

    @ApiModelProperty("文件名称")
    private String name;    //文件名

    @ApiModelProperty("文件内容")
    private byte[] content; //内容

    @ApiModelProperty("文件后缀名称")
    private String ext;     //文件类型

    public void setExt(String ext) {
        if(ext.indexOf(".") != 0){
            ext ="."+ext;
        }
        this.ext = ext;
    }

    @ApiModelProperty("文件md5")
    private String md5;

    @ApiModelProperty("文件创建时间")
    private String createDateTime;

    @ApiModelProperty("文件作者")
    private String author;  //作者

    /*******  文件系统唯一信息 ******/

    @ApiModelProperty("文件系统-组名称")
    private String dfsGroupName;

    @ApiModelProperty("文件系统-名称")
    private String dfsFileName;

    @ApiModelProperty("文件系统-唯一键")
    private String dfsFileKey;

    /*******  构造方法 ******/

    public ImppFile() {
    }

    public ImppFile(String name, byte[] content, String ext) {
        this.name = name;
        this.content = content;
        this.setExt(ext);
    }
}
