package cn.estsh.i3plus.pojo.form.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.BlockFormEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.List;

/**
 * @Description : 数据对象
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-02-27 10:53
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="bf_data_source")
@Api(value="数据对象",description = "原数据对象，最原始数据")
public class BfDataSource extends BaseBean {

    private static final long serialVersionUID = -749606489129498769L;
    @Column(name="SOURCE_NAME")
    @ApiParam(value ="数据源名称")
    private String sourceName;

    @Column(name="SOURCE_CODE")
    @ApiParam(value ="数据源编码")
    private String sourceCode;

    @Column(name="SOURCE_STATUS")
    @ApiParam(value ="数据源状态",name = "状态：可用，不可用 看枚举当中是否存在")
    private Integer sourceStatus;

    @Column(name="SOURCE_TYPE")
    @ApiParam(value ="数据源类型",name = "BlockFormEnumUtil.DATA_SOURCE_TYPE")
    private Integer sourceType;

    @Column(name="SOURCE_HOST")
    @ApiParam(value ="数据源连接地址")
    private String sourceHost;

    @Column(name="SOURCE_PORT")
    @ApiParam(value ="数据源端口")
    private Integer sourcePort;

    @Column(name="SOURCE_DATA_BASE_NAME")
    @ApiParam(value ="数据库名称")
    private String sourceDataBaseName;

    @Column(name="SOURCE_USER_NAME")
    @ApiParam(value ="数据库用户名称")
    private String sourceUserName;

    @Column(name="SOURCE_PASSWORD")
    @ApiParam(value ="数据库用户密码")
    private String sourcePassword;

    @Column(name="SOURCE_DESCRIPTION")
    @ApiParam(value ="数据源描述")
    private String sourceDescription;

}
