package cn.estsh.i3plus.pojo.form.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-03-21 21:03
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="BF_METHOD_DETAIL_PROPERTY")
@Api(value="表单功能明细关联属性",description = "表单功能明细关联属性")
public class BfMethodDetailPropertyRef extends BaseBean {

    private static final long serialVersionUID = -7541677357317732343L;
    @Column(name="DETAIL_PROPERTY_ID")
    @ApiParam(value ="功能明细关联属性id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long detailPropertyId;

    @Column(name="PRI_ELEMENT_PROPERTY_ID")
    @ApiParam(value ="主对象元素属性id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long priElementPropertyId;

    @Column(name="PRI_ELEMENT_PROPERTY_NAME_RDD")
    @ApiParam(value ="主对象元素属性名称")
    private String priElementPropertyNameRdd;

    @Column(name="PRI_ELEMENT_PROPERTY_CODE_RDD")
    @ApiParam(value ="主对象元素属性code")
    private String priElementPropertyCodeRdd;

    @Column(name="SEC_ELEMENT_PROPERTY_ID")
    @ApiParam(value ="关联对象元素属性id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long secElementPropertyId;

    @Column(name="SEC_ELEMENT_PROPERTY_NAME_RDD")
    @ApiParam(value ="关联对象元素属性名称")
    private String secElementPropertyNameRdd;

    @Column(name="SEC_ELEMENT_PROPERTY_CODE_RDD")
    @ApiParam(value ="关联对象元素属性Code")
    private String secElementPropertyCodeRdd;
}
