package cn.estsh.i3plus.pojo.hardswitch.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-11-12 17:03
 * @Modify:
 **/
@Data
public class OpcUAParam {

    //opc.tcp://127.0.0.1:49320
    @ApiParam("ua服务地址")
    private String serverUrl;

    /**
     * 命名空间索引
     * 地址所在的 OPC UA 服务器命名空间的索引。
     */
    @ApiParam("命名空间索引")
    private Integer namespaceIndex;

    /**
     * 标记地址
     * 通道.设备.标记
     */
    @ApiParam("标记地址")
    private String tagAddress;

    /**
     * 标记值
     */
    @ApiParam("标记值")
    private String tagValue;

    /**
     * 标记值类型
     */
    @ApiParam("标记值类型")
//    @AnnoOutputColumn(refClass = OpcUAEnumUtil.OPC_UA_TAG_VALUE_TYPE.class)
    private String tagValueType;
    public String getTagValueTypeVal(){
        return tagValueType == null ? "10" : tagValueType;
    }

    /**
     * 用户名
     */
    @ApiParam("用户名")
    private String userName;

    /**
     * 用户密码
     */
    @ApiParam("用户密码")
    private String password;

    /**
     * 请求间隔
     */
    @ApiParam("请求间隔")
    private Double requestInterval = 500.0;

}
