package cn.estsh.i3plus.pojo.ics.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 注册中心信息
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-04-09 10:12
 * @Modify:
 **/
@Data
@ApiModel("注册中心")
public class IcsRegist  implements Serializable {

    private static final long serialVersionUID = -5624347440991960286L;
    @ApiModelProperty("环境")
    private String environment;

    @ApiModelProperty("数据中心")
    private String dataCenter;

    @ApiModelProperty("集群信息")
    private List<String> clusterInfo;

    @ApiModelProperty("是否低于续订阈值")
    private Integer isBelowRenewThresold;

    @ApiModelProperty("启用自我保护模式")
    private Integer selfPreservationModeEnabled;

    @ApiModelProperty("注册中心启动时长")
    private String upDateTime;

    @ApiModelProperty("租约到期启用")
    private Integer leaseExpirationEnabled;

    @ApiModelProperty("实例IP")
    private String instanceIp;

    @ApiModelProperty("实例状态")
    private String instanceStatus;

    @ApiModelProperty("cpu数量")
    private Integer cpuNum;

    @ApiModelProperty("总可用内存")
    private Integer totalAvailMemory;

    @ApiModelProperty("当前的内存使用情况")
    private Integer currentMemoryUsage;

    @ApiModelProperty("应用数量")
    private Integer appNum;

    @ApiModelProperty("实例数量")
    private Integer instanceNum;

    @ApiModelProperty("下线实例数量")
    private Integer downInstanceNum;

    @ApiModelProperty("应用集合")
    private List<IcsApplication> icsApplicationList;

}
