package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :JIT发运数据同步
 * @Reference :
 * @Author : qianhuasheng
 * @CreateDate : 2020-03-27
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "IF_QUEUE_SHIPPING")
@Api("JIT发运数据同步")
public class IfQueueShipping extends BaseBean implements Serializable {
	private static final long serialVersionUID = -3385698810529084423L;
	@Column(name = "JIT_NO")
	@ApiParam("JIT队列编号")
	private String jitNo;

	@Column(name = "VIN_CODE")
	@ApiParam("vin")
	private String vinCode;

	@Column(name = "CUST_FLAG_NO")
	@ApiParam("客户标识号")
	private String custFlagNo;

	@Column(name = "PART_NO")
	@ApiParam("物料号")
	private String partNo;

	@Column(name = "PART_NAME")
	@ApiParam("物料名称")
	private String partName;

	@Column(name = "PRODUCT_SN")
	@ApiParam("产品条码")
	private String productSn;

	@Column(name = "QTY", columnDefinition = "decimal(18,8)")
	@ColumnDefault("0")
	@ApiParam("数量")
	private Double qty;

	@Column(name = "SUPPLIER_CODE")
	@ApiParam("供应商代码")
	private String supplierCode;

	@Column(name = "ACTION_USER")
	@ApiParam("操作人")
	private String actionUser;

	@Column(name = "ACTION_DATE_TIME")
	@ApiParam("操作时间")
	private String actionDateTime;

	@Column(name = "WORK_CENTER_CODE")
	@ApiParam("产线")
	private String workCenterCode;

	@Column(name = "PRODUCE_CATEGORY_CODE")
	@ApiParam("产品位置")
	private String produceCategoryCode;

	@Column(name = "QUEUE_GROUP_NO")
	@ApiParam("分组队列编号")
	private String queueGroupNo;

	@Column(name = "JIT_LOT_NO")
	@ApiParam("JIT队列批次")
	private String jitLotNo;

	@Column(name = "SYNC_STATUS")
	@ApiParam("同步状态")
	private Integer syncStatus;

	@Column(name = "ERROR_MESSAGE")
	@ApiParam("异常消息")
	private String errorMessage;

	@Column(name = "ACTION_CODE")
	@ApiParam("动作代码")
	private String actionCode;

	@Column(name = "IF_CODE")
	@ApiParam("接口代码")
	private String ifCode;

	@Column(name = "ITEM_PART_NO")
	@ApiParam("原材料物料号")
	private String itemPartNo;

	@Column(name = "CUST_PART_NO")
	@ApiParam("客户物料号")
	private String custPartNo;

	@Column(name = "ITEM_PART_NAME")
	@ApiParam("原材料物料名称")
	private String itemPartName;

	@Column(name = "ITEM_QTY", columnDefinition = "decimal(18,8)")
	@ColumnDefault("0")
	@ApiParam("原材料物料用量")
	private Double itemQty;

	@Column(name = "ITEM_UNIT")
	@ApiParam("原材料物料用量")
	private String itemUnit;

	@Column(name = "JIT_SEQ")
	@ApiParam("JIT排序号")
	private String jitSeq;

	@Column(name = "JIT_TYPE_FLAG")
	@ApiParam("JIT类型标识")
	private String jitTypeFlag;

	@Column(name = "CUST_POINT_DATE")
	@ApiParam("客户需求时间")
	private String custPointDate;

	@Column(name = "CUST_PLANT_CODE")
	@ApiParam("客户工厂代码")
	private String custPlantCode;

	@Column(name = "DOCK_NO")
	@ApiParam("道口")
	private String dockNo;

	@Column(name = "VERSION")
	@ApiParam("版本号")
	private String version;

	@Column(name = "SPECIAL_FLAG")
	@ApiParam("特殊标识")
	private Integer specialFlag;
}
