package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :mes系统业务动作
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-12
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_ACTION")
@Api("mes系统业务动作")
public class MesAction extends BaseBean implements Serializable {
    private static final long serialVersionUID = -8961182851667690154L;
    @Column(name = "ACTION_CODE")
    @ApiParam("动作代码")
    private String actionCode;

    @Column(name = "ACTION_NAME")
    @ApiParam("动作名称")
    private String actionName;

    @Column(name = "ACTION_TYPE")
    @ApiParam("动作类型")
    private Integer actionType;

    public int getActionTypeVal() {
        return this.actionType == null ? 0 : this.actionType;
    }
}
