package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate:
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BLIND_TOPIC_SETTING")
@Api("MES_盲检问题设置")
public class MesBlindTopicSetting extends BaseBean implements Serializable {
    private static final long serialVersionUID = -7459452475180601497L;

    @Column(name = "TOPIC_ID")
    @ApiParam("序号")
    private String topicId;

    @Column(name = "TOPIC_CODE")
    @ApiParam("题目编号")
    private String topicCode;

    @Column(name = "TOPIC_DESC")
    @ApiParam("题目描述")
    private String topicDesc;

    @Column(name = "TOPIC_OBJECT")
    @ApiParam("零件名称")
    private String topicObject;

    @Column(name = "TOPIC_TYPE")
    @ApiParam("盲检类型")
    private Integer topicType;

    @Column(name = "QTY")
    @ApiParam("错误答案数量")
    private Integer qty;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

}
