package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 4:49 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BOARD")
@Api("MES_看板")
public class MesBoard extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3932883110518753734L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "BOARD_NAME")
    @ApiParam("看板名称")
    private String boardName;

    @Column(name = "BOARD_TYPE")
    @ApiParam("看板类型")
    private String boardType;

    @Column(name = "REFRESH_INTERVAL")
    @ApiParam("刷新时间")
    private Integer refreshInterval;

    @Column(name = "MEMO")
    @ApiParam("备注")
    private String memo;
}
