package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :mes看板车间配置
 * @Reference :
 * @Author : adair.song
 * @CreateDate : 2020-11-09
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BOARD_AREA")
@Api("mes看板车间配置")
public class MesBoardArea extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4592603687011665216L;
    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "AREA_CODE")
    @ApiParam("区域代码")
    private String areaCode;

    @Column(name = "PLAN_PASS_YIELD", columnDefinition = "decimal(18,3)")
    @ColumnDefault("0")
    @ApiParam("目标达成率")
    private Double planPassYield;

    @Column(name = "YIELD_DIFF_VALUE", columnDefinition = "decimal(18,3)")
    @ColumnDefault("0")
    @ApiParam("上下偏差值")
    private Double yieldDiffValue;


}
