package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 4:47 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BOARD_CUSTOMER_DATA")
@Api("MES_看板客户相关信息")
public class MesBoardCustomerData extends BaseBean implements Serializable  {

    private static final long serialVersionUID = 3871945569470777555L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "COMPLAIN_PLAN_QTY")
    @ApiParam("客户抱怨目标数量")
    private Integer complainPlanQty;

    @Column(name = "COMPLAIN_ACTUAL_QTY")
    @ApiParam("客户抱怨实际数量")
    private Integer complainActualQty;
}
