package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : MES_看板工位信息
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-07 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BOARD_LINE_STAFF_MATRIX")
@Api("MES_看板产线员工能力矩阵")
public class MesBoardLineStaffMatrix extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1889056360071546259L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "AREA_CODE")
    @ApiParam("区域代码")
    private String areaCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位代码")
    private String workCellCode;

    @Column(name = "USER_CODE")
    @ApiParam("员工编号")
    private String userCode;

    @Column(name = "X_AXIS")
    @ApiParam("X坐标")
    private Double xAxis;

    @Column(name = "Y_AXIS")
    @ApiParam("Y坐标")
    private Double yAxis;

}
