package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : MES_看板麦格纳评定项
 * @Reference :
 * @Author : adair
 * @CreateDate : 2020-10-19 17:19
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="MES_BOARD_MAFACT_ASSESSMENT")
@Api("MES_看板麦格纳评定项")
public class MesBoardMafactAssessment extends BaseBean implements Serializable {

    private static final long serialVersionUID = 7260899228359202210L;

    @Column(name="BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name="ENG_ADV_QUALITY")
    @ApiParam("ENG_ADV_QUALITY")
    private String engAdvQuality;

    @Column(name="MANAGEMENT")
    @ApiParam("MANAGEMENT")
    private String manageMent;

    @Column(name="MAT_LOG_SUP")
    @ApiParam("MAT_LOG_SUP")
    private String matLogSup;

    @Column(name="MFG_EXC")
    @ApiParam("MFG_EXC")
    private String mfgExc;

    @Column(name="QUALITY")
    @ApiParam("QUALITY")
    private String quality;

    @Column(name = "EHS")
    @ApiParam("EHS")
    private String ehs;

    @Column(name = "COST")
    @ApiParam("COST")
    private String cost;

    @Column(name = "HR")
    @ApiParam("HR")
    private String hr;

    @Column(name = "JAN")
    @ApiParam("JAN")
    private String jan;

    @Column(name = "FEB")
    @ApiParam("FEB")
    private String feb;

    @Column(name = "MAR")
    @ApiParam("MAR")
    private String mar;

    @Column(name = "APR")
    @ApiParam("APR")
    private String apr;

    @Column(name = "MAY")
    @ApiParam("MAY")
    private String may;

    @Column(name = "JUN")
    @ApiParam("JUN")
    private String jun;

    @Column(name = "JUL")
    @ApiParam("JUL")
    private String jul;

    @Column(name = "AUG")
    @ApiParam("AUG")
    private String aug;

    @Column(name = "SEP")
    @ApiParam("SEP")
    private String sep;

    @Column(name = "OCT")
    @ApiParam("OCT")
    private String oct;

    @Column(name = "NOV")
    @ApiParam("NOV")
    private String nov;

    @Column(name = "DECEMBER")
    @ApiParam("DECEMBER")
    private String december;

}
