package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 4:47 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BOARD_SUBMENU")
@Api("MES_看板子菜单")
public class MesBoardSubmenu extends BaseBean implements Serializable  {

    private static final long serialVersionUID = 6544735793917822548L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "ITEM_NAME")
    @ApiParam("子项名称")
    private String itemName;

    @Column(name = "ICON")
    @ApiParam("ICO图标")
    private String icon;

    @Column(name = "SEQ")
    @ApiParam("顺序号")
    private Integer seq;

    /**
     * 10-图片  20-视频
     */
    @Column(name = "SHOW_TYPE")
    @ApiParam("展示类型")
    private Integer showType;

    @Column(name = "PICTURE_URL")
    @ApiParam("图片路径")
    private String pictureUrl;

    @Column(name = "VIDEO_URL")
    @ApiParam("视频路径")
    private String videoUrl;
}
