package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @CreateDate: 2020/10/13
 * @Author: simon.song
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BOARD_SWITCH_CFG")
@Api("MES_看板切换配置")
public class MesBoardSwitchCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = -9101785840595985385L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "SWITCH_INTERVAL")
    @ApiParam("屏切换频次")
    private Integer switchInterval;

    @Column(name = "LINE_SWITCH_INTERVAL")
    @ApiParam("产线切换频次")
    private Integer lineSwitchInterval;

}
