package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 4:47 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BOARD_TYPE_BASE_CFG")
@Api("MES_看板类型基础配置")
public class MesBoardTypeBaseCfg extends BaseBean implements Serializable  {

    private static final long serialVersionUID = 5405378688706555644L;

    @Column(name = "BOARD_TYPE")
    @ApiParam("看板类型")
    private String boardType;

    @Column(name = "WINDOW_NO")
    @ApiParam("界面编号")
    private String windowNo;

    @Column(name = "SEQ")
    @ApiParam("顺序")
    private Integer seq;
}
