package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : MES_容器
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-03-27 14:29
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_CONTAINER")
@Api("MES_容器类型")
public class MesContainer extends BaseBean {
    private static final long serialVersionUID = -3843389042411645111L;

    @Column(name = "CT_NO")
    @ApiParam(value = "容器编号")
    private String ctNo;

    @Column(name = "CT_CODE")
    @ApiParam(value = "容器类型代码")
    private String ctCode;

    @Column(name = "USE_STATUS")
    @ApiParam(value = "使用状态")
    private String useStatus;

    @Column(name = "IP_ADDRESS")
    @ApiParam(value = "IP")
    private String ipAddress;

    @Column(name = "PORT")
    @ApiParam(value = "端口")
    private String port;

    @Column(name = "UNLOCK_DO")
    @ApiParam(value = "接收DO")
    private String unlockDo;

    @Column(name = "RED_LIGHT_DO")
    @ApiParam(value = "红灯DO")
    private String redLightDo;

    @Column(name = "TIME_SECOND")
    @ApiParam(value = "处理时间(秒)")
    private String timeSecond;
}
