package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description : MES_容器位置
 * @Reference :
 * @Author : dominic.xiao
 * @CreateDate : 2020-11-02 17:47
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_CONTAINER_LOCATION")
@Api("MES_容器位置")
public class MesContainerLocation extends BaseBean implements Serializable {
    private static final long serialVersionUID = 8181007288150974903L;

    @Column(name = "CT_CODE")
    @ApiParam(value = "容器类型代码")
    private String ctCode;

    @Column(name = "CT_LOCATION_NO")
    @ApiParam(value = "容器位置编号")
    private String ctLocationNo;

    @Column(name = "LOCATION_CAPACITY")
    @ApiParam(value = "默认容量")
    private String locationCapacity;
}
