package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : MES_容器类型
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-03-27 14:24
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_CONTAINER_TYPE")
@Api("MES_容器类型")
public class MesContainerType extends BaseBean {

    private static final long serialVersionUID = 2831600566482383573L;

    @Column(name = "CT_CODE")
    @ApiParam(value = "容器类型代码")
    private String ctCode;

    @Column(name = "CT_NAME")
    @ApiParam(value = "容器类型名称")
    private String ctName;

    @Column(name = "USE_LIMIT")
    @ApiParam(value = "使用期限")
    private Integer useLimit;

    @Column(name = "IS_RECYCLE")
    @ApiParam(value = "是否回收")
    @AnnoOutputColumn(refClass = WmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isRecycle;

    @Column(name = "LIMIT_UOM")
    @ApiParam(value = "期限单位")
    private String limitUom;
}
