package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2020/04/03 7:12 PM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_DATA_WARNING")
@Api("数据预警配置")
public class MesDataWarning extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8328008752104417017L;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

    @Column(name = "WARNING_RULE")
    @ApiParam("预警规则")
    private String warningRule;

    @Column(name = "CHECK_TIME")
    @ApiParam("校验时间")
    private String checkTime;

    @Column(name = "QTY")
    @ApiParam("数据量最大限制(分钟)")
    private Integer qty;

    @Column(name = "WARNING_ITEM")
    @ApiParam("预警内容项")
    private String warningItem;

    @Column(name = "INFORM_MODE")
    @ApiParam("通知方式")
    private Integer informMode;

    @Lob
    @Column(name = "INFORM_USER",columnDefinition = "TEXT")
    @ApiParam("通知对象")
    private String informUser;

}
