package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/9/24 7:17 PM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_DATASOURCE")
@Api("地址清单")
public class MesDatasource extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4318109359733890067L;
    @Column(name = "DS_CODE")
    @ApiParam("数据源代码")
    private String dsCode;

    @Column(name = "DS_NAME")
    @ApiParam("数据源名称")
    private String dsName;

    @Column(name = "DS_TYPE")
    @ApiParam("数据源类型")
    private String dsType;

    @Column(name = "DS_HOST")
    @ApiParam("主机")
    private String dsHost;

    @Column(name = "DS_PORT")
    @ApiParam("端口")
    private Integer dsPort;

    @Column(name = "DS_USER")
    @ApiParam("用户名")
    private String dsUser;

    @Column(name = "DS_PASSWORD")
    @ApiParam("密码")
    private String dsPassword;

    @Column(name = "DS_DB_NAME")
    @ApiParam("数据库名称")
    private String dsDbName;

    @Column(name = "EQUIPMENT_CODE")
    @ApiParam("设备代码")
    private String equipmentCode;

    @Transient
    @ApiParam("设备名称")
    private String equipmentName;
}
