package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/4/28 21:30
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_EDI_DATA")
@Api("EDI数据")
public class MesEdiData extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4671561947551462256L;

    @Column(name = "HOST")
    @ApiParam("edi电脑名")
    private String host;

    @Column(name = "DATA")
    @ApiParam("数据")
    private String data;

    @Column(name = "CONFIG")
    @ApiParam("edi配置")
    private String config;
}
