package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 5:16 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_ENUM")
@Api("MES_枚举表")
public class MesEnum extends BaseBean implements Serializable {

    private static final long serialVersionUID = 368174781823424116L;

    @Column(name = "ENUM_CODE")
    @ApiParam("枚举代码")
    private String enumCode;

    @Column(name = "ENUM_NAME")
    @ApiParam("枚举名称")
    private String enumName;

    @Column(name = "ENUM_VALUE")
    @ApiParam("枚举值")
    private String enumValue;

    @Column(name = "ENUM_VALUE_DESC")
    @ApiParam("枚举值描述")
    private String enumValueDesc;
}
