package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :设备作业通知配置
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-10-11
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="MES_EQU_TASK_NOTIFY_CFG")
@Api("设备作业通知配置")
public class MesEquTaskNotifyCfg extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5074890809083209298L;
    @Column(name="TASK_TYPE")
    @ApiParam("作业类型")
    private Integer taskType;

    @Column(name="NOTIFY_TYPE")
    @ApiParam("通知类型")
    private Integer notifyType;

    @Column(name="NOTIFY_CONDITION")
    @ApiParam("通知条件（小时）")
    private Integer notifyCondition;

    @Column(name="NOTIFY_OBJECT_CODE")
    @ApiParam("通知对象")
    private String notifyObjectCode;

    @Column(name="NOTIFY_PATTERN")
    @ApiParam("通知方式")
    private Integer notifyPattern;

    @Transient
    @ApiParam("作业类型名称")
    private String taskTypeName;

    @Transient
    @ApiParam("通知类型名称")
    private String notifyTypeName;

    @Transient
    @ApiParam("通知方式名称")
    private String notifyPatternName;

}
