package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\10\10 0010 11:42
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_FAULT_PHENOMENON")
@Api("mes故障现象表")
public class MesFaultPhenomenon extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4373435095236791300L;
    @Column(name = "FP_CODE")
    @ApiParam("故障现象代码")
    private String fpCode;

    @Column(name = "FP_NAME")
    @ApiParam("故障现象描述")
    private String fpName;

    // 对应(类型信息MesTypeCfg）中的BUSINESS_TYPE_CODE字段
    @Column(name = "FP_TYPE")
    @ApiParam("故障现象类型编码")
    private String fpType;
}
