package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 5:16 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_FURNACE_LOCATION")
@Api("MES_炉内模式位置信息")
public class MesFurnaceLocation extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3681747818263404126L;

    @Column(name = "MODEL_NO")
    @ApiParam("模式编号")
    private String modelNo;

    @Column(name = "FN_LOCATION_NO")
    @ApiParam("炉内位置代码")
    private String fnLocationNo;

    @Column(name = "MODEL_IMG_URL")
    @ApiParam("模式图片路径")
    private String modelImgUrl;

    @Column(name = "SEQ")
    @ApiParam("推荐顺序")
    private Integer seq;

    @Transient
    @ApiParam("容器编号")
    private String ctNo;
}
