package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : zcg
 * @Date : 2020/1/8 0008 - 17:11
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_MONITOR_TASK")
@Api("监听任务")
public class MesMonitorTask extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4606062283853607814L;

    @Column(name = "TASK_NO")
    @ApiParam("任务编号")
    private String taskNo;

    @Column(name = "TASK_NAME")
    @ApiParam("任务名称")
    private String taskName;

    @Column(name = "TASK_OBJECT_TYPE")
    @ApiParam("任务对象类型")
    private Integer taskObjectType;

    @Column(name = "TASK_STATUS")
    @ApiParam("任务状态")
    private Integer taskStatus;

    @Column(name = "TASK_EXCEPTION_DESC")
    @ApiParam("异常描述")
    private String taskExceptionDesc;

}
