package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : zcg
 * @Date : 2020/1/8 0008 - 17:19
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_MONITOR_TASK_DETAIL")
@Api("监听任务明细")
public class MesMonitorTaskDetail extends BaseBean implements Serializable {
    private static final long serialVersionUID = -8703163858851139587L;

    @Column(name = "TASK_NO")
    @ApiParam("任务编号")
    private String taskNo;

    @Column(name = "DATA_OBJECT_NO")
    @ApiParam("数据对象编号")
    private String dataObjectNo;

    @Column(name = "STORE_OBJECT_CODE")
    @ApiParam("存储对象代码")
    private String storeObjectCode;

    @Column(name = "COLLECT_TYPE")
    @ApiParam("采集数据方式")
    private Integer collectType;

    @Transient
    @ApiParam("任务名称")
    private String taskName;

}
