package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/10/18 3:23 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PACKAGE_TRAVEL", indexes = {@Index(columnList = "PACKAGE_NO")})
@Api("包装履历表")
public class MesPackageTravel extends BaseBean implements Serializable {
    private static final long serialVersionUID = -6425620221708201986L;

    @Column(name = "PACKAGE_NO")
    @ApiParam("包装编码")
    private String packageNo;

    @Column(name = "CT_LOCATION_NO")
    @ApiParam("容器位置编号")
    private String ctLocationNo;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam("过程条码")
    private String serialNumber;

    @Column(name = "OP_TYPE")
    @ApiParam("操作类型")
    private Integer opType;

    @Column(name = "PACKAGE_NO2")
    @ApiParam("包装编码2")
    private String packageNo2;

    @Column(name = "PACKAGE_NO3")
    @ApiParam("包装编码3")
    private String packageNo3;

    @Column(name = "PACKAGE_NO4")
    @ApiParam("包装编码4")
    private String packageNo4;

    @Column(name = "CT_NO")
    @ApiParam("容器编号")
    private String ctNo;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "FN_LOCATION_NO")
    @ApiParam("炉内位置代码")
    private String fnLocationNo;
}
