package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:产品颜色
 * @Reference:
 * @Author: adair.song
 * @CreateDate: 2020\05\14 10:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PART_COLOR")
@Api("MES_产品颜色")
public class MesPartColor extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5412632727837364076L;

    @Column(name = "COLOR_TYPE")
    @ApiParam("类型")
    private Integer colorType;

    @Column(name = "COLOR_CODE")
    @ApiParam("颜色代码")
    private String colorCode;

    @Column(name = "COLOR_NAME")
    @ApiParam("颜色名称")
    private String colorName;

    @Column(name = "IF_COLOR_CODE")
    @ApiParam("接口颜色代码")
    private String ifColorCode;

    @Column(name = "PROD_CFG_TYPE_CODE")
    @ApiParam("项目代码")
    private String prodCfgTypeCode;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品位置代码")
    private String produceCtgyCode;

    @Column(name = "MODEL_YEAR")
    @ApiParam("年度型")
    private String modelYear;
}
