package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : MES_产品容器容量配置
 * @Reference :
 * @Author : dominic.xiao
 * @CreateDate : 2020-11-02 18:04
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PART_CONTAINER_CAPACITY")
@Api("MES_产品容器容量配置")
public class MesPartContainerCapacity extends BaseBean {

    private static final long serialVersionUID = 6438819635320965628L;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编码")
    private String partNo;

    @Column(name = "CT_CODE")
    @ApiParam(value = "容器类型代码")
    private String ctCode;

    @Column(name = "CT_LOCATION_NO")
    @ApiParam(value = "容器位置编号")
    private String ctLocationNo;

    @Column(name = "CT_QTY")
    @ApiParam(value = "容量")
    private Integer ctQty;
}
