package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/3/5 11:54
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PART_PRODUCE_TYPE")
@Api("产品生产类型")
public class MesPartProduceType extends BaseBean implements Serializable {
    private static final long serialVersionUID = 9191695513960958568L;

    @Column(name = "PPT_CODE")
    @ApiParam("产品生产类型")
    private String pptCode;

    @Column(name = "PPT_NAME")
    @ApiParam("产品生产类型名称")
    private String pptName;
}
