package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :JIS发运模式
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-12-25
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PATTERN_JIS")
@Api("JIS发运模式")
public class MesPatternJis extends BaseBean implements Serializable {
    private static final long serialVersionUID = 216398440591829755L;

    @Column(name = "PATTERN_NO")
    @ApiParam("模式编号")
    private String patternNo;

    @Column(name = "PATTERN_NAME")
    @ApiParam("模式名称")
    private String patternName;

    @Column(name = "QUEUE_NO")
    @ApiParam("显示主队列数")
    private Integer queueNo;

    @Column(name = "HANDLE_NO")
    @ApiParam("一次处理套数")
    private Integer handleNo;

    @Column(name = "PATTERN_DESC")
    @ApiParam("描述")
    private String patternDesc;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品类型组")
    private String produceCategoryCode;

    @Column(name = "PATTERN_TYPE")
    @ApiParam("模式类型")
    private Integer patternType;

    @Lob
    @Column(name = "MATCH_RULE")
    @ApiParam("匹配规则")
    private String matchRule;

}
