package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :产品配置
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PROD_CFG")
@Api("产品配置")
public class MesProdCfg extends BaseBean implements Serializable {
    private static final long serialVersionUID = -1301835558902463754L;

    @Column(name = "PROD_CFG_CODE")
    @ApiParam("产品配置代码")
    private String prodCfgCode;

    @Column(name = "PROD_CFG_NAME")
    @ApiParam("产品配置名称")
    private String prodCfgName;

    @Column(name = "PROD_CFG_Type_CODE")
    @ApiParam("产品配置类型代码")
    private String prodCfgTypeCode;

    @Column(name = "PROD_CFG_TYPE")
    @ApiParam("产品配置类型")
    private String prodCfgType;
}
