package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:产品车型配置
 * @Reference:
 * @Author: adair.song
 * @CreateDate: 2020\05\14 15:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PROD_MODEL_CFG")
@Api("MES_产品车型配置")
public class MesProdModelCfg extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5227132727837364076L;

    @Column(name = "PROD_CFG_TYPE_CODE")
    @ApiParam("项目代码")
    private String prodCfgTypeCode;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品位置代码")
    private String produceCtgyCode;

    @Column(name = "MODEL_YEAR")
    @ApiParam("年度型")
    private String modelYear;

    @Column(name = "CUST_PLANT_CODE")
    @ApiParam("客户工厂代码")
    private String custPlantCode;

    @Column(name = "PART_NO")
    @ApiParam("总成零件号")
    private String partNo;

    @Column(name = "CUSTOMER_PART_NO")
    @ApiParam("客户零件号")
    private String customerPartNo;

    @Column(name = "GRADE_CODE")
    @ApiParam("等级代码")
    private String gradeCode;

    @Column(name = "MODEL_FLAG_VALUE")
    @ApiParam("车型标志值")
    private String modelFlagValue;

    @Column(name = "MODEL_CFG_FLAG_VALUE")
    @ApiParam("车型配置标志值")
    private String modelCfgFlagValue;

    @Column(name = "QC_FLAG_VALUE")
    @ApiParam("质量标志值")
    private String qcFlagValue;

    @Column(name = "LABEL_DESC")
    @ApiParam("条码标签描述")
    private String labelDesc;

    @Column(name = "CCC_CODE")
    @ApiParam("3C认证编码")
    private String cccCode;

    @Column(name = "PROCESS_LABEL_TEMPLATE")
    @ApiParam("过程标签模板")
    private String processLabelTemplate;

    @Transient
    @ApiParam("产品颜色")
    private String produceColor;

    @Transient
    @ApiParam("Vin")
    private String vinCode;
}
