package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :产品工作中心配置
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PROD_WORK_CENTER")
@Api("产品工作中心配置")
public class MesProdWorkCenter extends BaseBean implements Serializable {

    private static final long serialVersionUID = 9215737252535074536L;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "IS_DEFAULT")
    @ApiParam("是否默认")
    private Integer isDefault;

    @Column(name = "RACK_NO")
    @ApiParam("料箱编号")
    private String rackNo;

    @Column(name = "TARGET_PASS_RATE", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam("目标合格率")
    private Double targetPassRate;

    @Column(name = "PRIORITY_ORDER")
    @ApiParam("优先级顺序")
    private Integer priorityOder = 0;

    @ApiParam("物料名称")
    private String partName;

}
