package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.mes.annotation.ElasticSearch;
import cn.estsh.i3plus.pojo.mes.annotation.Json4Es;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :生产数据
 * @Reference :
 * @Author : Wynne.Lu
 * @CreateDate : 2019-10-17
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PRODUCT_DATA", indexes = {
        @Index(columnList = "SERIAL_NUMBER"),
        @Index(columnList = "PRODUCT_SN"),
        @Index(columnList = "OBJECT_CODE"),
        @Index(columnList = "MODIFY_DATE_TIME")
})
@ElasticSearch
@Api("生产数据")
public class MesProductData extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4514407617515827040L;
    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_CENTER_NAME")
    @ApiParam("工作中心名称")
    private String workCenterName;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元")
    private String workCellCode;

    @Column(name = "WORK_CELL_NAME")
    @ApiParam("工作单元名称")
    private String workCellName;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam("过程条码")
    private String serialNumber;

    @Column(name = "PRODUCT_SN")
    @ApiParam("产品条码")
    private String productSn;

    @Column(name = "ORDER_NO")
    @ApiParam("工单号")
    private String orderNo;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "PART_DESC")
    @ApiParam("物料名称")
    private String partDesc;

    @Column(name = "EQU_CODE")
    @ApiParam("设备代码")
    private String equCode;

    @Column(name = "EQU_NAME")
    @ApiParam("设备名称")
    private String equName;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

    @Column(name = "OBJECT_NAME")
    @ApiParam("对象名称")
    private String objectName;

    @Column(name = "FIELD_CODE")
    @ApiParam("字段代码")
    private String fieldCode;

    @Column(name = "FIELD_NAME")
    @ApiParam("字段名称")
    private String fieldName;

    @Column(name = "FIELD_VALUE")
    @ApiParam("字段值")
    private String fieldValue;

    @Column(name = "ROW_NO")
    @ApiParam("数据行号")
    private String rowNo;

    @Column(name = "GROUP_NO")
    @ApiParam("数据组号")
    private String groupNo;

    @Json4Es
    @Lob
    @Column(name = "LINE_DATA")
    @ApiParam("生产数据")
    private String lineData;

    @Lob
    @Transient
    @ApiParam("字段总数")
    private Integer fieldNum;

}
