package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\11\5 10:47
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_PRODUCT_ENCODE_CFG")
@Api("产品编码配置")
public class MesProductEncodeCfg extends BaseBean implements Serializable {
    private static final long serialVersionUID = 5608141802461306170L;

    @Column(name = "CODE_TYPE")
    @ApiParam("编码类型")
    private Integer codeType;

    @Column(name = "MATCH_TYPE")
    @ApiParam("匹配类型")
    private Integer matchType;

    @Column(name = "MATCH_VALUE")
    @ApiParam("匹配值")
    private String matchValue;

    @Column(name = "RULE_CODE")
    @ApiParam("编码规则代码")
    private String ruleCode;

    @Transient
    @ApiParam("编码类型名称")
    private String codeTypeName;

    @Transient
    @ApiParam("匹配类型名称")
    private String matchTypeName;
}
