package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:散件零件生产配置
 * @Reference:
 * @Author: adair.song
 * @CreateDate: 2020\05\14 10:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_SCATTER_PART_PROD_CFG")
@Api("MES_散件零件生产配置")
public class MesScatterPartProdCfg extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5412632727837782394L;

    @Column(name = "CFG_ID")
    @ApiParam("配置编号")
    private String cfgId;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "MODEL_FLAG_VALUE")
    @ApiParam("车型标志值")
    private String modelFalgValue;

    @Column(name = "PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "GRADE_CODE")
    @ApiParam("等级代码")
    private String gradeCode;

    @Column(name = "COLOR_CODE")
    @ApiParam("颜色代码")
    private String colorCode;

    @Column(name = "PART_FLAG_LOCATION")
    @ApiParam("标志位")
    private Integer partFlagLocation;

    @Column(name = "PART_FLAG_VALUE")
    @ApiParam("标志值")
    private String partFlagValue;

    @Column(name = "POKE_YOKE_FIX")
    @ApiParam("防错码")
    private String pokeYokeFix;

    @Column(name = "POKE_YOKE_FROM")
    @ApiParam("防错码开始位")
    private Integer pokeYokeFrom;

    @Column(name = "POKE_YOKE_END")
    @ApiParam("防错码结束位")
    private Integer pokeYokeEnd;

    @Column(name = "POKE_YOKE_LENGTH")
    @ApiParam("防错码长度")
    private Integer pokeYokeLength;

    @Column(name = "PSET1")
    @ApiParam("PSET1")
    private String pset1;

    @Column(name = "PSET2")
    @ApiParam("PSET2")
    private String pset2;

    @Column(name = "PSET3")
    @ApiParam("PSET3")
    private String pset3;

    @Column(name = "PSET4")
    @ApiParam("PSET4")
    private String pset4;

    @Column(name = "PSET5")
    @ApiParam("PSET5")
    private String pset5;

    @Column(name = "PSET6")
    @ApiParam("PSET6")
    private String pset6;

    @Column(name = "PSET7")
    @ApiParam("PSET7")
    private String pset7;

    @Column(name = "PSET8")
    @ApiParam("PSET8")
    private String pset8;

    @Column(name = "TORQUE_NO")
    @ApiParam("扭矩枪编号")
    private String torqueNo;

    @Column(name = "IS_PF")
    @ApiParam("是否大枪")
    private Integer isPf;

    @Column(name = "POKE_TYKE_SEQ")
    @ApiParam("防错顺序")
    private Integer pokeTypeSeq;

    @Column(name = "EFF_START_TIME")
    @ApiParam("有效起始日期")
    private String effStartTime;

    @Column(name = "EFF_END_TIME")
    @ApiParam("有效截至日期")
    private String effEndTime;

    @Column(name = "PROD_CFG_TYPE_CODE")
    @ApiParam("项目代码")
    private String prodCfgTypeCode;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品位置代码")
    private String produceCtgyCode;

    @Column(name = "CHECK_SCAN_COUNT")
    @ApiParam("确认扫描次数")
    private Integer checkScanCount;

    @Column(name = "SEND_SEQ")
    @ApiParam("组合码发送顺序")
    private Integer sendSeq;

    @Column(name = "YELLOW_GUN_RULE")
    @ApiParam("黄枪规则")
    private Integer yellowGunRule;

    @Column(name = "IS_END_SEQ")
    @ApiParam("是否截至顺序号")
    private Integer isEndSeq;

    @Column(name = "MULTIMEDIA_PLUG_QTY", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam("多媒体插头数量")
    private Double multimediaPlusQty;

    @Column(name = "QUALIFIED_COUNT", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam("应收合格数")
    private Double qualifiedCount;

    @Column(name = "IS_CHECK")
    @ApiParam("是否复核校验")
    private Integer isCheck;

    @Column(name = "PICK_QTY")
    @ApiParam("拣货数量")
    private Integer pickQty;
}
