package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/28 4:58 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_SCRIPT_PERSISTENCE")
@Api("动态脚本")
public class MesScriptPersistence extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1941422535481564572L;

    @Column(name = "SCRIPT_NO")
    @ApiParam("脚本编号")
    private String scriptNo;

    @Column(name = "SCRIPT_NAME")
    @ApiParam("脚本名称")
    private String scriptName;

    @Column(name = "SCRIPT_REMARK")
    @ApiParam("脚本描述")
    private String scriptRemark;

    @Column(name = "SCRIPT_TYPE")
    @ApiParam("脚本类型")
    private Integer scriptType;

    @Column(name = "LANGUAGE_TYPE")
    @ApiParam("语言类型")
    private Integer languageType;

    @Column(name = "SCRIPT_CONTENT")
    @ApiParam("脚本内容")
    private String scriptContent;
}
