package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: adair.song
 * @CreateDate: 2020\04\21 13:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_SHIFT_CLASS_DETAIL")
@Api("MES_班制班次表")
public class MesShiftClassDetail extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1222874274741347278L;
    @Column(name = "SHIFT_CLASS_CODE")
    @ApiParam("班制代码")
    private String shiftClassCode;

    @Column(name = "SHIFT_CLASS_NAME")
    @ApiParam("班制名称")
    private String shiftClassName;

    @Column(name = "SHIFT_CODE")
    @ApiParam("班次代码")
    private String shiftCode;

    @Column(name = "SHIFT_NAME")
    @ApiParam("班次名称")
    private String shiftName;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Transient
    @ApiParam("开始-结束日期")
    private String startEndTime;
}
