package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : zcg
 * @Date : 2020/3/18 0018 - 9:02
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_SN_PHOTO_RELATION")
@Api("条码照片关系")
public class MesSnPhotoRelation extends BaseBean implements Serializable {

    private static final long serialVersionUID = -3062206473345277360L;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam("过程条码")
    private String serialNumber;
    //TODO 北京麦格纳使用，如要变更此字段需要更改对应业务代码
    @Column(name = "PHOTO_PATH")
    @ApiParam("照片路径")
    private String photoPath;

    @Column(name = "PHOTO_NAME")
    @ApiParam("照片名称")
    private String photoName;

    @Column(name = "PHOTO_URL")
    @ApiParam("照片访问地址")
    private String photoUrl;

    @Column(name = "PHOTO_ORIGINAL_PATH")
    @ApiParam("照片原始路径")
    private String photoOriginalPath;

    @Column(name = "PHOTO_TRANSFER_PATH")
    @ApiParam("照片转存路径")
    private String photoTransferPath;

    @Column(name = "PHOTO_TARGET_PATH")
    @ApiParam("照片目标路径")
    private String photoTargetPath;


}
