package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/8/24 17:47
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_SPC_CONTROL_COEFFICIENT")
@Api("MES_SPC控制图系数")
public class MesSpcControlCoefficient extends BaseBean implements Serializable {
    private static final long serialVersionUID = -2790965693171941915L;

    @Column(name = "SINGLE_GROUP_QTY")
    @ApiParam("子组容量")
    private Integer singleGroupQty;

    @Column(name = "COEFFICIENT_TYPE")
    @ApiParam("系数类型")
    private String coefficientType;

    @Column(name = "COEFFICIENT_CODE")
    @ApiParam("系数代码")
    private String coefficientCode;

    @Column(name = "COEFFICIENT_DESC")
    @ApiParam("系数描述")
    private String coefficientDesc;

    @Column(name = "COEFFICIENT_VALUE", columnDefinition = "decimal(18,8)")
    @ColumnDefault("0")
    @ApiParam("系数值")
    private Double coefficientValue;


}
