package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/3/30 11:12
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_STATE_MACHINE")
@Api("MES状态机")
public class MesStateMachine extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4532746282478232478L;
    @Column(name = "SM_CODE")
    @ApiParam("状态机代码")
    private String smCode;

    @Column(name = "SM_NAME")
    @ApiParam("状态机名称")
    private String smName;

    @Column(name = "SM_TYPE")
    @ApiParam("状态机类型")
    private String smType;

    @Lob
    @Column(name = "POSITION")
    @ApiParam("GOJS的位置")
    private String position;
}
