package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/3/30 11:28
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_STEP_GROUP")
@Api("工步集")
public class MesStepGroup extends BaseBean implements Serializable {
    private static final long serialVersionUID = 1876053661752102998L;

    @Column(name = "AMG_ID")
    @ApiParam("组件集编号")
    private Long amgId;

    @Column(name = "STEP_CODE")
    @ApiParam("组件集代码")
    private String stepCode;

    @Column(name = "SEQ")
    @ApiParam("执行顺序")
    private Integer seq;
}
