package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.List;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2020/02/15 1:45 PM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_SYNC_DEAD_LETTER", indexes = {
        @Index(name = "idx_object_code_pcn", columnList = "OBJECT_CODE"),
        @Index(name = "idx_object_code_pcn", columnList = "PCN_CODE")
})
@Api("数据同步死信")
public class MesSyncDeadLetter extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6427776318518431855L;
    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

    @Column(name = "SYNC_TYPE")
    @ApiParam("同步类型")
    private Integer syncType;

    @Column(name = "PCN_CODE")
    @ApiParam("pcn代码")
    private String pcnCode;

    @Lob
    @Column(name = "EX_MSG")
    @ApiParam("同步数据")
    private String exMsg;

    @Lob
    @Column(name = "DATA")
    @ApiParam("同步数据")
    private String data;


}
