package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/9/27 15:59
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_TAKT_ALARM_CONTINUOUS_CONFIG", indexes = {
        @Index(columnList = "WORK_CENTER_CODE")
})
@Api("节拍故障等级配置表")
public class MesTaktAlarmContinuousConfig extends BaseBean implements Serializable {
    private static final long serialVersionUID = -1046263075313178823L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线")
    private String workCenterCode;

    @Column(name = "CONTINUOUS_DETERMINE")
    @ApiParam("连续判断的等级代码")
    private String continuousDetermine;

    @Column(name = "CONTINUOUS_SECOND")
    @ApiParam("连续秒数")
    private Integer continuousSecond;

    @Column(name = "CONTINUOUS_COUNT")
    @ApiParam("发生次数")
    private Integer continuousCount;

    @Column(name = "IS_STOP_LINE")
    @ApiParam("是否停线")
    private Integer isStopLine;

    @Column(name = "IS_TRIGGER_ANDON")
    @ApiParam("是否触发安灯")
    private Integer isTriggerAndon;

    @Column(name = "OBJECT_TYPE")
    @ApiParam("对象类型")
    private Integer objectType;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

}
