package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :MES工装明细
 * @Reference :
 * @Author : qianhuasheng
 * @CreateDate : 2020-03-19
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_TOOLING_DETAIL")
@Api("MES_工装明细")
public class MesToolingDetail extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5033127912653649665L;

    @Column(name = "TOOLING_NO")
    @ApiParam("工装编号")
    private String toolingNo;

    @Column(name = "TOOLING_CODE ")
    @ApiParam("工装代码")
    private String toolingCode ;

    @Column(name = "TOOLING_NAME")
    @ApiParam("工装名称")
    private String toolingName;

    @Column(name = "TOOLING_TYPE")
    @ApiParam("工装类型")
    private Integer toolingType;

    @Column(name = "USE_COUNT")
    @ApiParam("使用次数")
    private Integer useCount;

    @Column(name = "STATUS")
    @ApiParam("状态")
    private Integer status;
}
