package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: adair.song
 * @CreateDate: 2020\04\21 13:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_USER_SKILL")
@Api("MES_人员技能表")
public class MesUserSkill extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1222847514741345978L;
    @Column(name = "USER_EMP_NO")
    @ApiParam("员工编码")
    private String userEmpNo;

    @Column(name = "USER_NAME")
    @ApiParam("员工名称")
    private String userName;

    @Column(name = "SKILL_CODE")
    @ApiParam("技能代码")
    private String skillCode;

    @Column(name = "SKILL_NAME")
    @ApiParam("技能名称")
    private String skillName;

    @Column(name = "SKILL_LEVEL")
    @ApiParam("技能等级")
    private String skillLevel;
}
