package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :工作单元组件参数配置
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-03-12 7:45 下午
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_WORK_CELL_MODULE_PARAM", indexes = {
		@Index(columnList = "CREATE_DATE_TIME")
})
@Api("工作单元组件参数配置")
public class MesWorkCellModuleParam extends BaseBean implements Serializable {
	private static final long serialVersionUID = 4836155960343256982L;

	@Column(name = "WORK_CENTER_CODE")
	@ApiParam("产线")
	private String workCenterCode;

	@Column(name = "WORK_CELL_CODE")
	@ApiParam("工作单元代码")
	private String workCellCode;

	@Column(name = "MODULE_CODE")
	@ApiParam("组件代码")
	private String moduleCode;

	@Column(name = "CALL_CLASS")
	@ApiParam("调用类")
	private String callClass;

	@Column(name = "PARAM_CODE")
	@ApiParam("参数代码")
	private String paramCode;

	@Column(name = "PARAM_VALUE")
	@ApiParam("参数值")
	private String paramValue;

}
