package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :工作单元参数配置
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_WORK_CELL_PARAM_CFG")
@Api("工作单元参数配置")
public class MesWorkCellParamCfg extends BaseBean implements Serializable {
    private static final long serialVersionUID = -8507576103087989740L;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "PARAM_CODE")
    @ApiParam("参数代码")
    private String paramCode;

    @Column(name = "PARAM_NAME")
    @ApiParam("参数名称")
    private String paramName;

    @Column(name = "PARAM_VALUE")
    @ApiParam("参数值")
    private String paramValue;

    @Column(name = "IS_CHECK")
    @ApiParam("是否必须校验")
    private Integer isCheck;

    @Transient
    @ApiParam("是否必须校验名称")
    private String isCheckName;
}
