package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :工位投料信息
 * @Reference :
 * @Author : Wynne.Lu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_WORK_MODULE")
@Api("作业程序组件")
public class MesWorkModule extends BaseBean implements Serializable {
    private static final long serialVersionUID = -4121840589026322086L;

    @Column(name = "MODULE_CODE")
    @ApiParam("组件代码")
    private String moduleCode;

    @Column(name = "MODULE_NAME")
    @ApiParam("组件名称")
    private String moduleName;

    @Column(name = "MODULE_TYPE")
    @ApiParam("组件类型")
    private Integer moduleType;

    @Column(name = "CALL_CLASS")
    @ApiParam("调用类")
    private String callClass;

    @Column(name = "TRIGGER_TYPE")
    @ApiParam("触发类型")
    private Integer triggerType;

    @Column(name = "SEQ")
    @ApiParam("顺序号")
    private Integer seq;


}
