package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :工位投料信息
 * @Reference :
 * @Author : Wynne.Lu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_WORK_MODULE_PARAM")
@Api("作业程序组件参数")
public class MesWorkModuleParam extends BaseBean implements Serializable {
    private static final long serialVersionUID = -3965186392895014717L;

    @Column(name = "MODULE_CODE")
    @ApiParam("组件代码")
    private String moduleCode;

    @Column(name = "PARAM_CODE")
    @ApiParam("参数代码")
    private String paramCode;

    @Column(name = "PARAM_NAME")
    @ApiParam("参数名称")
    private String paramName;

    @Column(name = "PARAM_TYPE")
    @ApiParam("参数类型")
    private Integer paramType;


}
