package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.LinkedList;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("散件BOM导入MODEL")
public class ImportBomExcelDataModel {

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("零件名称")
    private String partName;

    @ApiParam("零件简称")
    private String briefText;

    @ApiParam("零件规格")
    private String partSpec;

    @ApiParam("分类1")
    private String categoryCode1;

    @ApiParam("分类2")
    private String categoryCode2;

    @ApiParam("分类3")
    private String categoryCode3;

    @ApiParam("单位")
    private String unit;

    @ApiParam("包装规格代码")
    private String packSpecCode;

    @ApiParam("默认工作中心")
    private String defaultWorkCenter;

    @ApiParam("产品位置")
    private String produceCategoryCode;

    @ApiParam("过程编码匹配类型")
    private Integer processMatchType;

    @ApiParam("包装编码匹配类型")
    private Integer packageMatchType;

    @ApiParam("产品编码匹配类型")
    private Integer productMatchType;

    @ApiParam("产品类型代码")
    private String pptCode;

    @ApiParam("物料特性")
    private Integer partTrait;

    @ApiParam("产品类型名称")
    private String produceCategoryName;

    @ApiParam("过程编码匹配类型名称")
    private String processMatchTypeName;

    @ApiParam("包装编码匹配类型")
    private String packageMatchTypeName;

    @ApiParam("产品编码匹配类型")
    private String productMatchTypeName;

    @ApiParam("分类名称")
    private String categoryName;

    @ApiParam("原材料物料号")
    private String itemPartNo;

    @ApiParam("原材料物料名称")
    private String itemPartName;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("产出工位")
    private String workCellCode;

    @ApiParam("工位名称")
    private String workCellName;

    @ApiParam(value = "数量", example = "0")
    private Double qty;

    @ApiParam("消耗工位")
    private String usedWorkCellCode;

    @ApiParam("客户物料号")
    private String custPartNo;

    @ApiParam("配置")
    private LinkedList<String> cfgCodeList;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("用户名")
    private String userName;

    @ApiParam("关键物料类型")
    private String keyPartType;

    @ApiParam("是否关键件")
    private String isKeyPart;
}
