package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesTooling;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description : MES_设备工装关系Model
 * @Reference :
 * @Author :qianhuasheng
 * @CreateDate : 2020-04-02 16:34
 * @Modify:
 **/
@Data
@Api("MES_设备工装关系Model")
public class MesEquipmentToolingModel implements Serializable {

    private static final long serialVersionUID = 1947971352179107711L;

    private Long id;

    @ApiParam("显示颜色")
    private String color;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("工装编号")
    private String toolingNo;

    @ApiParam("工装代码")
    private String toolingCode ;

    @ApiParam("工装名称")
    private String toolingName;

    @ApiParam("工装类型")
    private Integer toolingType;

    @ApiParam("使用次数")
    private Integer useCount;

    @ApiParam("更换开始时间")
    private String startTime;

    @ApiParam("更换结束时间")
    private String endTime;

    @Transient
    @ApiParam("最大次数")
    private Integer useCountMax;

    public MesEquipmentToolingModel(MesTooling tooling, Integer useCount) {
        this.toolingCode = tooling.getToolingCode();
        this.toolingName = tooling.getToolingName();
        this.useCount = useCount;
        this.useCountMax = tooling.getUseCountMax();
    }
    public MesEquipmentToolingModel() {
    }
}
