package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Description:
 * @CreateDate: 2020/9/29
 * @Author: simon.song
 */
@Data
public class MesQualityStandardModel {

    @ApiParam("质量标准主键ID")
    private Long id;

    @ApiParam("控制计划表主键ID")
    private Long controlPlanId;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("版本")
    private Integer version;

    //检测类型：10=首检，20=巡检，30=终检，40=发运检
    @ApiParam("检测类型")
    private Integer checkType;

    @ApiParam("检测项类型")
    private String checkItemType;

    @ApiParam("检测项")
    private String checkItem;

    @ApiParam("检测标准")
    private String checkStandard;

    @ApiParam("检测指导")
    private String checkGuide;

    @ApiParam("频率")
    private String checkFrequency;

    @ApiParam("是否允许让步")
    private Integer isConcession;

    @ApiParam("间隔时间")
    private Integer checkInterval;

    //个数标识：标记那几个数量需要进行检验。使用逗号间隔。如：1,2
    @ApiParam("个数标识")
    private String numberFlag;

    @ApiParam("检测数量")
    private Integer qty;

    //任务单类型,动态枚举
    @ApiParam("任务单类型")
    private String checkOrderType;

    //数据来源：10=手工录入，20=PLC，30=DB
    @ApiParam("数据来源")
    private String dataSource;

    //检验值类型：10=字符串，20=数值
    @ApiParam("检验值类型")
    private String checkValueType;

    @ApiParam("公差上限")
    private Double maximum;

    @ApiParam("公差下限")
    private Double minimum;

    @ApiParam("是否关键检测项")
    private Integer isKeyCheckItem;

    @ApiParam("检测值配置编号")
    private String checkCfgNo;
}
