package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description : 设备任务通知人员model
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("用户信息model")
public class NotifyUserModel extends BaseBean {

    @ApiParam(value ="账户ID")
    private Long userInfoId;

    @ApiParam(value ="用户名称" , access ="账号名称")
    private String userName;

    @ApiParam(value ="登陆名称" , access ="登陆名称")
    private String userLoginName;

    @ApiParam(value ="邮箱" , access ="邮箱")
    private String userEmail;

    @ApiParam(value ="手机号" , access ="手机号")
    private String userPhone;

    @ApiParam(value ="账号状态(枚举：1正常,2冻结使用,3账号异常,4离职，5服务到期)" , example ="-1")
    private Integer userStatus;

}
