package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author Wynne.Lu
 * @date 2020/6/16 14:21
 * @desc 打包样本
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("打包样本")
public class PackageSampleModel {

    @ApiParam(name = "已打包数量")
    private Double alreadyPackageCount;

    @ApiParam(name = "标准打包数量")
    private Double standardPackageCount;

    @ApiParam(name = "样本类型")
    private Map<String, String> sampleTypeMap;

    @ApiParam(name = "样本类型代码")
    private String lastSampleTypeCode;

    @ApiParam(name = "选择的样本类型")
    private String chooseSampleTypeCode;

    @ApiParam(name = "强制执行工步")
    private String forceStepCode;

    @ApiParam(name = "强制打包密码")
    private String password;

    @ApiParam(name = "工厂")
    private String organizeCode;

    @ApiParam(name = "工单号")
    private String workOrderNo;

}
