package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesLabelTemplate;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description: 条码打印模版model
 * @Reference:
 * @Author: wangjie
 * @CreateDate:2019-08-27-13:24
 * @Modify:
 **/
@Data
@Api("条码打印模版model")
public class SnPrintLabelTemplateModel {

    @ApiParam("模版信息")
    private MesLabelTemplate labelTemplate;

    @ApiParam("工厂")
    private String organizeCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("条码类型  10-过程条码，20-产品条码，30-包装条码")
    private Integer snType;

    @ApiParam("包装条码层级 1-第一层，2-第二层，3-第三层，4-第四层")
    private Integer packLevel;

    public SnPrintLabelTemplateModel() {
    }

    public SnPrintLabelTemplateModel(String organizeCode, String partNo, String custCode, Integer snType, Integer packLevel, MesLabelTemplate labelTemplate) {
        this.organizeCode = organizeCode;
        this.partNo = partNo;
        this.custCode = custCode;
        this.snType = snType;
        this.packLevel = packLevel;
        this.labelTemplate = labelTemplate;
    }
}
