package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Transient;

/**
 * @Description: 打印条码工步， 打印信息模板
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-08-27-13:24
 * @Modify:
 **/
@Data
@Api("打印信息模板")
public class StepPrintSnModel extends MesProduceSn {
    @ApiParam("打印描述")
    private String printDesc;

    @ApiParam(value = "打印时间")
    private String printTime;

    @ApiParam("条码")
    private String barCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("批次号")
    private String batchNo;

    @ApiParam("箱数量")
    private String boxQty;

    @ApiParam("订单号")
    private String orderNo;

    @ApiParam("生产日期")
    private String productionTime;

    @ApiParam("包装编码")
    private String packageNo;

    @ApiParam("包装规格")
    private String packageSpec;

    @ApiParam("供应商")
    private String supplier;

    @ApiParam("客户名称")
    private String customerName;

    @ApiParam("客户零件号")
    private String customerPartNo;

    @ApiParam("客户物料名称")
    private String customerPartName;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("单位")
    private String unit;

    @ApiParam("特殊批号")
    private String fixLotNo;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("包装层级 1-第一层，2-第二层，3-第三层，4-第四层")
    private Integer packLevel;

    @ApiParam("生产组代码")
    private String pgCode;
    @ApiParam("分组队列编号")
    private String queueGroupNo;
    @ApiParam("组内编号")
    private Integer groupNo;
    @ApiParam("产品配置代码")
    private String prodCfgCode;
    @ApiParam("队列生产明细序号")
    private Double queDetailSeq;

    @ApiParam("vin")
    private String vinCode;
    @ApiParam("客户JIT生产队列排序号")
    private Double seq;
    @ApiParam("JIA排序号")
    private String jiaSeq;
    @ApiParam("JIP排序号")
    private String jipSeq;
    @ApiParam("车型代码")
    private String carModuleCode;
    @ApiParam("上一个序列号")
    private String lastSeq;
    @ApiParam("第一个序列号")
    private String firstSeq;
    @ApiParam("序列架号")
    private String serialFrameNum;
    @ApiParam("DOCK")
    private String dock;
    @ApiParam("包装数量")
    private Integer pgNum;
    @ApiParam("数量")
    private Integer num;
    @ApiParam("客户工厂代码")
    private String custPlantCode;
    @ApiParam("产品类型描述")
    private String produceCategoryDesc;

    @ApiParam("批次")
    private String lotNo;
    @ApiParam("备注")
    private String memo;
    @ApiParam("产品配置名称")
    private String prodCfgCodeName;

    @ApiParam("项目代码")
    private String prodCfgTypeCode;
    @ApiParam("产品位置")
    private String produceCategoryCode;
    @ApiParam("结果")
    private String result;
    @ApiParam("项目版本")
    private String pctVersion;
    @ApiParam("图纸版本")
    private String dwgVersion;
    @ApiParam("班次名称")
    private String shiftName;
    @ApiParam("JIT排序号")
    private String jitSeq;
    @ApiParam("产品位置名称")
    private String produceCategoryName;

}
