package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 产品履历报表-料箱信息
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/18 17:16
 **/
@Data
@NoArgsConstructor
@ApiModel("产品履历报表-料箱信息")
public class PackageTravelModel implements Serializable {

    private static final long serialVersionUID = -7031472442162953544L;


    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("料箱编号")
    private String ctNo;

    @ApiParam("包装号")
    private String packageNo;

    @ApiParam("料箱类型")
    private String cnCode;

    @ApiParam("料箱状态")
    private String useStatus;

    @ApiParam("料箱状态名称")
    private String useStatusName;

    @ApiParam("物料码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("工序信息")
    private String processCode;

    @ApiParam("执行动作")
    private Integer opType;

    @ApiParam("执行动作名称")
    private String opTypeName;

    @ApiParam("执行时间")
    private String createDatetime;

    public PackageTravelModel(String serialNumber, String ctNo, String packageNo, String cnCode, String useStatus, String partNo, String partNameRdd, String workCenterCode, String processCode, Integer opType, String createDatetime) {
        this.serialNumber = serialNumber;
        this.ctNo = ctNo;
        this.packageNo = packageNo;
        this.cnCode = cnCode;
        this.useStatus = useStatus;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.workCenterCode = workCenterCode;
        this.processCode = processCode;
        this.opType = opType;
        this.createDatetime = createDatetime;
    }
}
