package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author yumingxing 生产总数
 * @version 1.0
 * @date 2020/12/24 18:57
 **/
@Data
@NoArgsConstructor
public class ProductResult {

    @ApiParam("工作单元")
    private String workCellCode;
    @ApiParam("零件号")
    private String partNo;
    @ApiParam("零件描述")
    private String partNameRdd;
    @ApiParam("生产线")
    private String workCenterCode;
    @ApiParam("工序")
    private String processCode;
    @ApiParam("工序名称")
    private String processName;
    @ApiParam("生产总数")
    private long totalProduction;
    @ApiParam("合格数")
    private long qualified;
    @ApiParam("冻结数")
    private long unqualified;
    @ApiParam("报废数")
    private long scrap;
    @ApiParam("合格率")
    private BigDecimal qualifiedRate;
    @ApiParam("冻结率")
    private BigDecimal unqualifiedRate;
    @ApiParam("报废率")
    private BigDecimal scrapRate;

    public ProductResult(String workCellCode,String partNo, String partNameRdd, String workCenterCode, String processCode, String processName, long qualified, long unqualified, long scrap) {
        this.workCellCode = workCellCode;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.workCenterCode = workCenterCode;
        this.processCode = processCode;
        this.processName = processName;
        this.qualified = qualified;
        this.unqualified = unqualified;
        this.scrap = scrap;
    }
}
