package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 报废占比柏拉图Model
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/23 15:09
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("报废占比柏拉图")
public class ScrapOfPlatoModel {

    @ApiParam("零件号")
    private String partNo;
    @ApiParam("项目")
    private String prodCfgTypeCode;
    @ApiParam("缺陷代码")
    private String defectCode;
    @ApiParam("缺陷名称")
    private String defectName;
    @ApiParam("缺陷数")
    private long numberOfDefects;
    @ApiParam("工作单元")
    private String workCellCode;

    @ApiParam("报废率")
    private BigDecimal scrapRate;
    @ApiParam("报废占比")
    private BigDecimal scrapRatio;
    @ApiParam("柏拉图报废占比")
    private BigDecimal scrapRatioPlato;


    public ScrapOfPlatoModel(String partNo, String prodCfgTypeCode, String defectCode, String defectName, long numberOfDefects,String workCellCode) {
        this.partNo = partNo;
        this.prodCfgTypeCode = prodCfgTypeCode;
        this.defectCode = defectCode;
        this.defectName = defectName;
        this.numberOfDefects = numberOfDefects;
        this.workCellCode = workCellCode;
    }
}
