package cn.estsh.i3plus.pojo.model.lac;

import cn.estsh.i3plus.pojo.base.enumutil.ResourceEnumUtil;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : lac 适配响应信息
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-10-29 15:07
 * @Modify:
 **/
@Data
@XStreamAlias("response")
public class LacSuitResponse implements Serializable {

    private static final long serialVersionUID = -4119301611637726729L;
    /**
     * 是否成功
     */
    private boolean success;

    /**
     * 状态码
     */
    private String code;

    /**
     * 状态信息
     */
    private String message;

    /**
     * 返回数据
     */
    private Object result;

    public LacSuitResponse() {
        this.success = true;
        this.code = ResourceEnumUtil.MESSAGE.SUCCESS.getCode();
        this.message = ResourceEnumUtil.MESSAGE.SUCCESS.getDescription();
    }

}
