package cn.estsh.i3plus.pojo.model.mes;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : Mes电检检测补录数据实体字段Model信息
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-06-02 09:53
 * @Modify:
 **/
@Data
public class MesElectricMarkUpDataModel implements Serializable {

    private static final long serialVersionUID = -6376845779646546495L;

    @ApiParam(value = "工作中心代码")
    public String workCenterCode;

    @ApiParam(value = "工作单元代码")
    public String workCellCode;

    @ApiParam(value = "过程条码")
    private String serialNumber;

    @ApiParam(value = "产品生产号")
    private String productNumber;

    @ApiParam(value = "电检结果")
    private String electricResult;

    @ApiParam(value = "测试时间")
    private String testDateTime;

    @ApiParam(value = "是否补录")
    private Integer isMarkUp;

    @ApiParam(value = "补录时间")
    private String markUpDateTime;

    @ApiParam(value = "开始时间")
    private String startDateTimeStr;

    @ApiParam(value = "结束时间")
    private String endDateTimeStr;

    public MesElectricMarkUpDataModel(String workCenterCode, String workCellCode, String serialNumber, String productNumber,
                                      String electricResult, String testDateTime, Integer isMarkUp, String markUpDateTime) {
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.serialNumber = serialNumber;
        this.productNumber = productNumber;
        this.electricResult = electricResult;
        this.testDateTime = testDateTime;
        this.isMarkUp = isMarkUp;
        this.markUpDateTime = markUpDateTime;
    }
}