package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.wms.bean.WmsActionLogData;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 操作日志信息推送至队列后台处理
 */
@Data
public class WmsLogInfoSendToMqModel implements Serializable {
    private static final long serialVersionUID = -5490167040159056107L;
    @ApiParam("处理类型")
    private int handleType;
    @ApiParam("日志对象DAO层")
    private String baseRepository;
    @JsonDeserialize(as = WmsActionLogData.class)
    @ApiParam("日志对象（新增）")
    private BaseBean logBean;
    @ApiParam("查询条件名称（修改）")
    private String[] conditionNames;
    @ApiParam("查询条件值（修改）")
    private Object[] conditionValues;
    @ApiParam("更新条件名称（修改）")
    private String[] updateNames;
    @ApiParam("更新条件值（修改）")
    private Object[] updateValues;
}
