package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 单号规则记录
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-21 15:12
 * @Modify: Dev 2018-12-12 09:41:07
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "SYS_ORDER_NO_RECORD")
@ApiModel(value = "单号记录", description = "单号记录")
public class SysOrderNoRecord extends BaseBean {

    private static final long serialVersionUID = 2749057829943250024L;

    @Column(name = "RULE_CODE")
    @ApiModelProperty(value = "规则代码")
    private String ruleCode;

    @Column(name = "ORDER_NO")
    @ApiModelProperty(value = "单号")
    private String orderNo;


    public SysOrderNoRecord() {
    }

    public SysOrderNoRecord(String ruleCode,String orderNo) {
        this.ruleCode = ruleCode;
        this.orderNo = orderNo;
    }

}
