package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.ImppEnumUtil;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户外部关系
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-09-03 13:32
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_REF_USER_EXTERNAL")
@Api(value="用户外部关系",description = "用户外部关系")
public class SysRefUserExternal extends BaseBean {

    @Column(name="USER_ID")
    @ApiParam(value ="用户id" ,example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @Column(name="EXTERNAL_REF")
    @ApiParam(value ="对象id" ,example = "-1")
    @AnnoOutputColumn(refClass = ImppEnumUtil.USER_EXTERNAL_REF.class)
    private Integer externalRef;

    @Column(name="REF_VALUE")
    @ApiParam(value ="对象id" ,example = "-1")
    private String refValue;

}
