package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 短信签名
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-12-13 16:09
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "SYS_SMS_SIGN")
@ApiModel(value = "短信签名", description = "短信签名")
public class SysSmsSign extends BaseBean {

    private static final long serialVersionUID = -8979657974497978428L;

    /**
     * 签名
     */
    @Column(name = "SIGN_NAME")
    @ApiModelProperty(value = "签名")
    private String signName;

    /**
     * 签名代码
     */
    @Column(name = "SIGN_CODE")
    @ApiModelProperty(value = "签名代码")
    private String signCode;

    /**
     * 签名描述
     */
    @Column(name = "SIGN_DESC")
    @ApiModelProperty(value = "签名描述")
    private String signDesc;

}
