package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 任务
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-12-26 20:00
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_TASK")
@Api(value="任务",description = "任务")
public class SysTask extends BaseBean {

    private static final long serialVersionUID = -4462661508105857312L;

    @Column(name="NAME")
    @ApiParam(value ="名称")
    private String name;

    @Column(name="TASK_CODE")
    @ApiParam(value ="任务代码")
    private String taskCode;

    // 软件类型 CommonEnumUtil.SOFT_TYPE
    @Column(name="TASK_SOFT_TYPE")
    @ApiParam(value = "软件类型")
    private Integer taskSoftType;

    @Column(name="TASK_PACKAGE")
    @ApiParam(value ="任务包名")
    private String taskPackage;

    @Column(name="TASK_CLASS")
    @ApiParam(value ="任务类名")
    private String taskClass;

    @Column(name="IS_SYSTEM")
    @ApiParam(value ="是否是系统job")
    private String isSystem;

    @Column(name="TASK_DESCRIPTION")
    @ApiParam(value ="任务描述" , access ="任务描述")
    private String taskDescription;
}
