package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-6-4 下午3:38
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_USER_PASSWORD")
@Api(value="账号密码")
public class SysUserPassword extends BaseBean {
    private static final long serialVersionUID = 4536854582252378921L;

    @Column(name="USER_ID")
    @ApiParam(value ="人员ID" , example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @Column(name="USER_PASSWORD")
    @ApiParam(value ="用户密码")
    private String userPassword;

    @Column(name="USER_LOGIN_LAST_DATE_TIME")
    @ApiParam(value ="账号最后登录时间")
    private String userLoginLastDateTime;

    public SysUserPassword() {
    }

    public SysUserPassword(Long userId, String userPassword) {
        this.userId = userId;
        this.userPassword = userPassword;
    }
}
