package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_ACTOR_RULE")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("ACTOR消息获取规则")
public class PtlActorRule extends BaseBean implements Serializable {

    private static final long serialVersionUID = -963692719400754670L;

    @Column(name = "ACTOR_CODE")
    @ApiParam("actor代码")
    private String actorCode;

    @Column(name = "MT_CODE")
    @ApiParam("消息类型代码")
    private String mtCode;

    @Column(name = "SPECIFIC_RULE")
    @ApiParam("特定条件")
    private String specificRule;

}
