package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_AREA_ACTOR_ACTION")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("PTL_区域观察者事件配置")
public class PtlAreaActorAction extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7531797997172228131L;

    @Column(name = "AREA_NO")
    @ApiParam("区域代码")
    private String areaNo;

    @Column(name = "ACTOR_CODE")
    @ApiParam("观察者编码")
    private String actorCode;

    @Column(name = "MT_CODE")
    @ApiParam("消息类型代码")
    private String mtCode;

    @Column(name = "OTHER_WHERE")
    @ApiParam("特定条件")
    private String otherWhere;

    @Column(name = "METHOD_CODE")
    @ApiParam("方法代码")
    private String methodCode;

    @Transient
    @ApiParam("实现类")
    private String callClass;
}
