package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_AREA_TASK_SEQ")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("区域任务进度")
public class PtlAreaTaskSeq extends BaseBean implements Serializable {

    private static final long serialVersionUID = 8346059210789998285L;

    @Column(name = "AREA_NO")
    @ApiParam("区域代码")
    private String areaNo;

    @Column(name = "SEQ")
    @ApiParam("主任务顺序号")
    private Integer seq;

    @Column(name = "DETAIL_SEQ")
    @ApiParam("明细顺序号")
    private Integer detailSeq;
}
