package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :配置表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-06-04
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "PTL_CONFIG")
@Api("PTL配置表")
public class PtlConfig extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8720461903130735342L;

    @Column(name = "CFG_CODE")
    @ApiParam("配置代码")
    private String cfgCode;

    @Column(name = "CFG_NAME")
    @ApiParam("配置名称")
    private String cfgName;

    @Column(name = "CFG_TYPE")
    @ApiParam("配置类型")
    private String cfgType;

    @Column(name = "CFG_KEY")
    @ApiParam("配置key")
    private String cfgKey;

    @Column(name = "CFG_VALUE")
    @ApiParam("配置value")
    private String cfgValue;

    @Column(name = "CFG_VAULE_DESC")
    @ApiParam("配置value描述")
    private String cfgValueDesc;
}
