package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/14 11:19
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_ELEMENT_ATTRIBUTE")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("元素属性")
public class PtlElementAttribute extends BaseBean implements Serializable {

    private static final long serialVersionUID = -4734327563828184066L;

    @Column(name = "ELEMENT_NO")
    @ApiParam("元素代码")
    private String elementNo;

    @Column(name = "ATTRIBUTE_NO")
    @ApiParam("属性代码")
    private String attributeNo;

    @Column(name = "ATTRIBUTE_NAME")
    @ApiParam("属性名称")
    private String attributeName;
}
