package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/14 11:15
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_INTERFACE")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("界面")
public class PtlInterface extends BaseBean implements Serializable {

    private static final long serialVersionUID = -380212716030440434L;

    @Column(name = "INTERFACE_NO")
    @ApiParam("界面代码")
    private String interfaceNo;

    @Column(name = "INTERFACE_NAME")
    @ApiParam("界面名称")
    private String interfaceName;
}
