package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_LOG")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("PTL_LOG")
public class PtlLog extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3885987217528730391L;

    @Column(name = "METHOD_NAME")
    @ApiParam(value = "方法名")
    private String methodName;

    @Column(name = "EXCEPTION_LOG")
    @ApiParam(value = "异常日志")
    private String exceptionLog;

    @Column(name = "CONTROL_CODE")
    @ApiParam(value = "控制器")
    private String controlCode;

    @Column(name = "IP")
    @ApiParam(value = "IP")
    private String ip;

    @Column(name = "AREA_NO")
    @ApiParam(value = "区域")
    private String areaNo;

    @Column(name = "SECTION_CODE")
    @ApiParam(value = "区段")
    private String sectionCode;

    @Column(name = "TAG_NO")
    @ApiParam(value = "标签地址")
    private Integer tagNo;
}
