package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author adair.song
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_MAIN_TASK_DETAIL")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("主任务明细")
public class PtlMainTaskDetail extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7380963913791704644L;

    @Column(name = "TASK_NO")
    @ApiParam("主任务编号")
    private String taskNo;

    @Column(name = "PART_NO")
    @ApiParam("产品物料号")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("产品物料号名称")
    private String partName;

    @Column(name = "ITEM_PART_NO")
    @ApiParam("拣选物料号")
    private String itemPartNo;

    @Column(name = "ITEM_PART_NAME")
    @ApiParam("拣选物料名称")
    private String itemPartName;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Integer qty;

    @Column(name = "PART_CATEGORY")
    @ApiParam("物料种类")
    private Integer partCategory;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元")
    private String workCellCode;

}
