package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author adair.song
 * @date 2020/03/09 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_PCN_CLEAR")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("PTL_PCN数据清理")
public class PtlPcnClear extends BaseBean implements Serializable {

    private static final long serialVersionUID = 2581206839565766798L;

    @Column(name = "PCN_CODE")
    @ApiParam("PCN代码")
    private String pcnCode;

    @Column(name = "OBJECT_CODE")
    @ApiParam("对象代码")
    private String objectCode;

    @Column(name = "OBJECT_NAME")
    @ApiParam("对象名称")
    private String objectName;

    @Column(name = "EXTRACT_CONDITION")
    @ApiParam("获取数据条件")
    private String extractCondition;

    @Column(name = "ACTION_FREQUENCY")
    @ApiParam("执行频率")
    private Integer actionFrequency;

    @Column(name = "LAST_SYNC_TIME")
    @ApiParam("上一执行时间")
    private String lastSyncTime;

}
