package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description : 待打印队列表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2019-09-27 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="PTL_PRINTING_QUEUE")
@Api("待打印队列表")
public class PtlPrintingQueue extends BaseBean implements Serializable {

    private static final long serialVersionUID = 729384890593058720L;

    @Column(name="PRINT_IDENTIFICATION")
    @ApiParam("打印标识")
    private String printIdentification;

    @Column(name="PRINT_TYPE")
    @ApiParam("打印类型")
    private Integer printType;

    @Column(name="PRINT_NO")
    @ApiParam("打印机编号")
    private String printNo;

    @Column(name="PRINT_MUMBER")
    @ApiParam("打印机张数")
    private Integer printNumber = 1;

    @Column(name="TEMPLATE_NO")
    @ApiParam("模板编号")
    private String templateNo;

    @Column(name="PRINT_STATUS")
    @ApiParam("打印状态")
    private Integer printStatus;

    @Transient
    @ApiParam(value = "打印时间")
    private String printTime;
}