package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_ROUTE_STATUS_ERROR_RECORD")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("流程状态异常记录")
public class PtlRouteStatusErrorRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4507582337334278877L;

    @Column(name = "ROUTE_CODE")
    @ApiParam("流程代码")
    private String routeCode;

    @Column(name = "STATUS_CODE")
    @ApiParam("状态代码")
    private String statusCode;

    @Column(name = "TASK_NO")
    @ApiParam("主任务编号")
    private String taskNo;

    @Column(name = "ERROR_DESC")
    @ApiParam(value = "异常描述")
    public String errorDesc;

    @Column(name = "AREA_NO")
    @ApiParam("区域代码")
    private String areaNo;

    @Column(name = "CACHE_KEY")
    @ApiParam(value = "缓存KEY")
    private String cacheKey;

    @Column(name = "HANDLE_STATUS")
    @ApiParam(value = "处理状态")
    private Integer handleStatus;

}
