package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_SECTION")
@Inheritance(strategy = InheritanceType.JOINED)
@Api("区段")
public class PtlSection extends BaseBean implements Serializable {

    private static final long serialVersionUID = -1155737119433934849L;

    @Column(name = "SECTION_NO")
    @ApiParam("区段编号")
    private String sectionNo;

    @Column(name = "SECTION_NAME")
    @ApiParam("区段名称")
    private String sectionName;

    @Column(name = "SECTION_SEQ")
    @ApiParam("区段顺序号")
    private Integer sectionSeq;

    @Column(name = "AREA_NO")
    @ApiParam("区域代码")
    private String areaNo;

    @Transient
    @ApiParam("区域名称")
    private String name;

    public String getName() {
        return sectionName;
    }
}
