package cn.estsh.i3plus.pojo.ptl.model;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :工位物料清单
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@ApiModel("工位物料清单")
public class MesStationBom implements Serializable {

    private static final long serialVersionUID = 7398825718819106180L;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("产品物料名称")
    private String partName;

    @ApiParam("工作中心")
    private String workCenterCode;

    @ApiParam("工作单元")
    private String workCellCode;

    @ApiParam("子零件")
    private String itemPartNo;

    @ApiParam("原材料物料名称")
    private String itemPartName;

    @ApiParam(value = "子零件数量")
    private Double qty;

    @ApiParam(value = "是否可重复")
    private Integer isRepeat;

    @ApiParam(value = "是否检查")
    private Integer isCheck;

    @ApiParam(value = "是否投料配置")
    private Integer isFeed;

    @ApiParam(value = "是否绑定关键件")
    private Integer isBindKey;

    @ApiParam(value = "匹配规则")
    private Integer matchRule;

    @ApiParam(value = "id")
    public Long id;

    @ApiParam(value ="组织代码")
    public String organizeCode;

    @ApiParam(value = "有效性")
    public Integer isValid;

    @ApiParam(value = "是否已删除")
    public Integer isDeleted;

    @ApiParam(value = "创建用户")
    public String createUser;

    @ApiParam(value = "创建日期")
    public String createDatetime;

    @ApiParam(value = "修改人")
    public String modifyUser;

    @ApiParam(value = "修改日期")
    public String modifyDatetime;

}
