package cn.estsh.i3plus.pojo.report.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.Type;

import javax.persistence.*;
import java.util.List;

/**
 * @Description : 自定义报表布局
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-12-25 19:54
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="BR_LAYOUT")
@Api(value="自定义报表布局",description = "单独进行管理，生成报表是使用。报表实例 * -》 1")
public class BrLayout extends BaseBean {

    private static final long serialVersionUID = -3790563562881742852L;
    @Column(name="LAYOUT_NAME")
    @ApiParam(value ="布局名称")
    private String layoutName;

    @Column(name = "LAYOUT_DESCRIPTION")
    @ApiParam(value ="布局描述")
    private String layoutDescription;

    @Transient
    @ApiParam(value ="行所包含的元素")
    private List<BrLayoutElement> elementList;
}
