package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.List;

/**
 * @Description : 请求适配记录
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_REQUEST_RECORD",indexes = {
        @Index(name="bs_suit_request_record_suit_record_id_idx",columnList = "SUIT_RECORD_ID"),
})
@Api(value = "请求适配记录", description = "请求适配记录")
public class BsSuitRequestRecord extends BaseBean {

    private static final long serialVersionUID = -6724051278362565068L;
    @Column(name = "SUIT_RECORD_ID")
    @ApiParam(value = "适配记录id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitRecordId;

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "适配器套件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitCaseId;

    @Column(name = "REQUEST_SOURCE")
    @ApiParam(value = "请求来源(枚举)")
    private Integer requestSource;

    // 移动至记录数据表
    @Column(name = "REQUEST_ORGIN_PARAM")
    @ApiParam(value = "请求原始参数")
    private String requestOrginParam;

    @Transient
    @ApiParam(value = "id-查询条件")
    private List<Long> searchIdList;
}

