package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :作业步骤类型信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-22 9:33
 * @Modify:
 **/
@Data
@Entity
@Table(name = "WMS_ACTION_TYPE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "作业步骤类型信息", description = "作业步骤类型信息")
public class WmsActionStepType extends BaseBean {

    private static final long serialVersionUID = -8019644718382990603L;
    @Column(name = "AT_NAME_E", columnDefinition = "varchar(225) default ''")
    @ApiParam(value = "英文类型名称")
    private String atNameE;

    @Column(name = "AT_DESC_E", columnDefinition = "varchar(225) default ''")
    @ApiParam(value = "英文类型描述")
    private String atDescE;

    @Column(name = "AT_NAME_C", nullable = false)
    @ApiParam(value = "中文类型名称")
    @AnnoOutputColumn
    private String atNameC;

    @Column(name = "AT_DESC_C", nullable = false)
    @ApiParam(value = "中文类型描述")
    @AnnoOutputColumn
    private String atDescC;

    @Column(name = "FUN_CALL_NAME", nullable = false)
    @ApiParam(value = "方法调用名称")
    @AnnoOutputColumn
    private String funCallName;
}
