package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * @Description : 自动化策略方法
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-06-21 11:47
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "WMS_AUTO_STRATEGY_METHOD", indexes = {
        @Index(columnList = "STRATEGY_ACTION")
})
@Api("自动化策略方法")
public class WmsAutoStrategyMethod extends BaseBean {
    private static final long serialVersionUID = -4424882984978962477L;

    @Column(name = "STRATEGY_ACTION")
    @ApiParam(value = "动作")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private Integer strategyAction;

    @Column(name = "STRATEGY_METHOD")
    @ApiParam(value = "策略方法")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String strategyMethod;

    @Column(name = "STRATEGY_SPEC")
    @ApiParam(value = "策略描述")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String strategySpec;
}
