package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 自动任务日志
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-06-23 13:55
 * @Modify:
 **/
@Data
@Entity
@Table(name = "WMS_AUTO_TASK_LOG")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "自动任务日志", description = "自动任务日志")
public class WmsAutoTaskLog extends BaseBean {
    private static final long serialVersionUID = -7839329617395574378L;

    @Column(name = "ORDER_NO")
    @ApiParam("关联订单号")
    public String orderNo;

    @Column(name = "BUSI_TYPE")
    @ApiParam("业务类型")
    public String busiType;

    @Column(name = "STRATEGY_NO")
    @ApiParam("策略代码")
    public String strategyNo;

    @Column(name = "STRATEGY_ACTION")
    @ApiParam("策略动作")
    public String strategyAction;

    @Column(name = "OPERATE_TYPE")
    @ApiParam("操作类型")
    @AnnoOutputColumn(refClass = WmsEnumUtil.OPERATE_TYPE.class)
    public String operateType;

    @Column(name = "ERROR_MSG")
    @ApiParam("错误信息")
    public String errorMsg;
}
