package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 抽点记录信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="WMS_IB_CHECK_FACT")
@Api("抽点记录信息")
public class WmsCheckFactRecord extends BaseBean {

    private static final long serialVersionUID = 1580654885527050552L;
    @Column(name = "REF_TYPE")
    @ApiParam(value = "关联单据类型")
    private String refType;

    @Column(name = "REF_SRC")
    @ApiParam(value = "关联单据编号")
    private String refSrc;

    @Column(name="PO_NO")
    @ApiParam("采购单号")
    public String poNo;

    @Column(name="ASN_NO")
    @ApiParam("ANS单号")
    public String asnNo;

    @Column(name="PART_NO")
    @ApiParam("物料编码")
    public String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam("物料名称")
    public String partNameRdd;

    @Column(name="VENDOR_NO")
    @ApiParam("供应商编号")
    public String vendorNo;

    @Column(name="SN")
    @ApiParam("条码")
    public String sn;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String remark;

    @Column(name="PLAN_QTY", columnDefinition = "decimal(18,8)")
    @ApiParam(value = "应收数量", example = "0")
    public Double planQty;

    @Column(name="CHECK_QTY", columnDefinition = "decimal(18,8)")
    @ApiParam(value = "抽点数量", example = "0")
    public Double checkQty;

    @Transient
    @ApiParam(value ="供应商全称")
    private String vendorDesc;
}
