package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 客户物料发往地
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-04-11
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_CUSTOMER_PART_SHIPPING")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="客户物料发往地",description = "客户物料发往地")
public class WmsCustomerPartShipping extends BaseBean {

    private static final long serialVersionUID = 9091356911517332847L;
    @Column(name = "CUSTOMER_CODE")
    @ApiParam(value = "客户代码")
    private String customerCode;

    @Column(name = "CUSTOMER_PART_NO")
    @ApiParam(value = "客户零件号")
    private String customerPartNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编码")
    private String partNo;

    @Column(name = "SHIPPING_FLAG")
    @ApiParam(value = "发往地")
    private String shippingFlag;
}
