package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 销售订单主表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-04-13 13:19
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "WMS_DOC_SO_MASTER")
@Api("销售订单主表")
@ToString
public class WmsDocSoMaster extends BaseBean {

    private static final long serialVersionUID = 8250843929041855006L;

    @Column(name = "ORDER_NO")
    @ApiParam(value = "单据号")
    private String orderNo;

    @Column(name = "ORDER_TYPE")
    @ApiParam("订单类型")
    @AnnoOutputColumn(refClass = WmsEnumUtil.SO_ORDER_TYPE.class, refForeignKey = "value", value = "description")
    public Integer orderType;

    @Column(name = "ORDER_STATUS")
    @ApiParam(value = "订单状态", example = "1")
    @AnnoOutputColumn(refClass = WmsEnumUtil.MASTER_ORDER_STATUS.class, refForeignKey = "value", value = "description")
    public Integer orderStatus;

    @Column(name = "CUST_CODE")
    @ApiParam(value = "客户编号")
    private String custCode;

    @Column(name = "CUST_DESC")
    @ApiParam(value = "客户全称")
    private String custDesc;

    @Column(name = "CUST_DELIVERY_CODE")
    @ApiParam(value = "客户发往地代码")
    private String custDeliveryCode;

    @Column(name = "FLAG_NAME")
    @ApiParam(value = "客户发往地名称")
    private String flagName;

    @Column(name = "PLAN_DELIVERY_DATE")
    @ApiParam(value = "交期")
    private String planDeliveryDate;


}
