package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 道口
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-03-29
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="WMS_DOCK")
@Api("道口预约信息")
public class WmsDock extends BaseBean {
    private static final long serialVersionUID = 1084849307899138229L;
    @Column(name="DOCK_CODE")
    @ApiParam("道口代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String dockCode;

    @Column(name="DOCK_ADDRESS")
    @ApiParam("道口发运地址")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String dockAddress;

    @Column(name="DOCK_DESC")
    @ApiParam("道口发运地址描述")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String dockDesc;

    @Column(name="DOCK_TYPE")
    @ApiParam("道口类型")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "DOCK_TYPE")
    private Integer dockType;
}
