package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * @Description : 仓库健康度指标
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-05-13 13:54
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_HEALTH_INDICATOR_LEVEL", indexes = {
        @Index(columnList = "INDICATOR_CODE")
})
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="仓库健康度指标分级",description = "仓库健康度指标分级")
public class WmsHealthIndicatorLevel extends BaseBean {

    private static final long serialVersionUID = 7332606229041273554L;

    @Column(name = "INDICATOR_CODE")
    @ApiParam(value = "指标代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String indicatorCode;

    @Column(name = "INDICATOR_NAME")
    @ApiParam(value = "指标名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String indicatorName;

    @Column(name = "INDICATOR_LOWER_LIMIT")
    @ApiParam(value = "指标下限")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER)
    private Double indicatorLowerLimit;

    @Column(name = "INDICATOR_UPPER_LIMIT")
    @ApiParam(value = "指标上限")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER)
    private Double indicatorUpperLimit;

    @Column(name = "INDICATOR_GRADE")
    @ApiParam(value = "指标等级")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String indicatorGrade;

    @Column(name = "INDICATOR_COLOR")
    @ApiParam(value = "指标颜色")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String indicatorColor;
}
