package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;

/**
 * @Description : 仓库健康度变量测算结果
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-05-13 13:54
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_HEALTH_VARIABLE_RESULT")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="仓库健康度变量测算结果",description = "仓库健康度变量测算结果")
public class WmsHealthVariableResult extends BaseBean {

    private static final long serialVersionUID = 7332606559041273554L;

    @Column(name = "VARIABLE_CODE")
    @ApiParam(value = "变量代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String variableCode;

    @Column(name = "VARIABLE_NAME")
    @ApiParam(value = "变量名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String variableName;

    @Column(name = "VARIABLE_VALUE")
    @ApiParam(value = "变量测算值")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER)
    private Integer variableValue;

    @Lob
    @Column(name = "VARIABLE_DETAILS")
    @ApiParam(value = "变量测算明细")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String variableDetails;
}
