package cn.estsh.i3plus.pojo.wms.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Description : 可选项模型
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-30 10:50
 * @Modify:
 * 2019-04-03 15:42 Rock.Yu
 *  1. 增加了构造方法和构建器的注解
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class WmsOptionModel implements Serializable {

    private static final long serialVersionUID = -4282021744536667534L;
    private String code;

    private String name;

    private Integer value;

    /**
     * 10=复选框，20=按钮，显示到查看历史左侧
     */
    private Integer type;

    /**
     * 当Type=20时，此值代表需要跳转的步骤，前台要把此值放到
     * OperationBean. barcode字段并反馈给后台，流程管家使用此值处理
     */
    private String content;
}
