package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : WMS_包装箱条码表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2019-07-17 11:32
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_PACK_SN")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="包装箱条码表",description = "包装箱条码表")
public class WmsPackSn extends BaseBean {

    private static final long serialVersionUID = -4768071470722776160L;
    @Column(name = "ORDER_NO")
    @ApiParam(value = "订单号")
    private String orderNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编码")
    private String partNo;

    @Column(name = "PART_NAME_ADD")
    @ApiParam(value = "物料名称")
    private String partNameAdd;

    @Column(name = "QTY", columnDefinition = "decimal(18,8)", nullable = false)
    @ApiParam("数量")
    @ColumnDefault("0")
    private Double qty;

    @Column(name = "SID", columnDefinition = "decimal(18,8)", nullable = false)
    @ApiParam("SID")
    @ColumnDefault("0")
    private Double sId;

    @Column(name = "COMMIT_DATE")
    @ApiParam(value = "提交日期")
    private String commitDate;

    @Column(name = "COMMIT_TIME")
    @ApiParam(value = "提交时间")
    private String commitTime;

    @Column(name = "SN")
    @ApiParam(value = "条码")
    private String sn;

    /**
     * 状态:10=新建,20=已处理,30=处理出错 PRODUCT_INSTOCK_STATUS
     */
    @Column(name = "ORDER_STATUS")
    @ApiParam(value = "状态")
    private Integer orderStatus;

    /**
     * 数据来源:ZMMES=知明MES,TBMES=MES接口 SRC_STATUS
     */
    @Column(name = "SRC")
    @ApiParam(value = "单据来源")
    private String src;
}
