package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 物料组物流路线信息
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2020-01-15 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="WMS_PART_GROUP_ROUTE")
@Api("物料组物流路线信息")
public class WmsPartGroupRoute extends BaseBean{

    private static final long serialVersionUID = 9214639813072864438L;
    @Column(name="PART_GROUP_NO")
    @ApiParam("物料组编号")
    private String partGroupNo;

    @Column(name = "ROUTING_CODE")
    @ApiParam(value = "线路代码")
    private String routingCode;

    @Column(name = "ROUTING_NAME")
    @ApiParam(value = "线路名称")
    private String routingName;
}