package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 开口合同PO关系表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2019-09-15 14:15
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="WMS_PROCUREMENT_PLAN_CONTRACT")
@Api("开口合同PO关系表")
public class WmsProcurementPlanContract extends BaseBean {

    private static final long serialVersionUID = 3966394697226562966L;
    @Column(name = "ORDER_NO")
    @ApiParam(value = "合同号")
    private String orderNo;

    @Column(name = "PO_ORDER_NO")
    @ApiParam("PO订单号")
    private String poOrderNo;


}
