package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description : 采购计划历史
 * @Reference :
 * @Author : puxiao.liao
 * @CreateDate : 2020-04-15 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "WMS_PURCHASE_PLAN_HISTORY")
@Api("采购计划历史")
public class WmsPurchasePlanHistory extends BaseBean {
    private static final long serialVersionUID = -8147353212724381079L;

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;

    @Column(name = "ITEM_STATUS")
    @ApiParam(value = "状态", example = "0")
    @AnnoOutputColumn(refClass = WmsEnumUtil.PURCHASE_PLAN_HISTORY_STATUS.class, refForeignKey = "value", value = "description")
    private Integer itemStatus;

    @Column(name = "CAR_NO")
    @ApiParam("车牌号")
    private String carNo;

    @Column(name = "CONTACT")
    @ApiParam("联系人")
    private String contact;

    @Column(name = "CONTACT_TEL")
    @ApiParam("联系电话")
    private String contactTel;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;


}
