package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :物流路线主表实体
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2018-11-08 17:54
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "WMS_ROUTING_MASTER")
@Api("物流路线主表")
public class WmsRoutingMaster extends BaseBean {
    private static final long serialVersionUID = 366756079392004681L;
    @Column(name = "ROUTING_CODE")
    @ApiParam(value = "路线编码")
    private String routingCode;

    @Column(name = "ROUTING_NAME")
    @ApiParam(value = "路线名称")
    private String routingName;

    @Column(name = "SEQ", nullable = false)
    @ApiParam(value = "序号", example = "1")
    @ColumnDefault("0")
    private Integer seq;
}
