package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 班休表
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2019-11-05 14:21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="WMS_SHIFT_REST")
@Api("班休信息")
public class WmsShiftRest extends BaseBean{

    private static final long serialVersionUID = 9214639813072592715L;

    @Column(name="REST_NO")
    @ApiParam("班休代码")
    private String restNo;

    @Column(name="REST_NAME")
    @ApiParam("班休名称")
    private String restName;

    @Column(name="SHIFT_NO")
    @ApiParam("班次编码")
    private String shiftNo;

    @Column(name="START_REST_TIME")
    @ApiParam("开始休息时间")
    private String startRestTime;

    @Column(name="END_REST_TIME")
    @ApiParam("结束休息时间")
    private String endRestTime;
}