package cn.estsh.i3plus.pojo.wms.bean;


import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 驾驶员信息
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2019-12-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="WMS_TMS_DRIVER")
@Api("驾驶员信息")
public class WmsTmsDriver extends BaseBean {

    private static final long serialVersionUID = 2083909056682628791L;
    @Column(name="DRIVER_NO")
    @ApiParam(value ="驾驶员编号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String driverNo;

    @Column(name="DRIVER_NAME")
    @ApiParam(value ="驾驶员姓名")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String driverName;

    @Column(name="SEX")
    @ApiParam(value ="驾驶员性别")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER, isRequire = 2)
    private Integer sex;

    @Column(name="AGE")
    @ApiParam(value ="驾驶员年龄")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String age;

    @Column(name="ID_NO")
    @ApiParam(value ="驾驶员身份证号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String idNo;

    @Column(name="ADRESS")
    @ApiParam(value ="驾驶员籍贯")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String adress;

    @Column(name="PHONE")
    @ApiParam(value ="车牌号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String phone;

    @Column(name="LOGIN_NO")
    @ApiParam(value =" 登录账号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String loginNo;
}
