package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 交易代码方法表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2018-11-04 12:19
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_TRANS_CODE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="交易代码方法表",description = "交易代码方法表")
public class WmsTransCode extends BaseBean{

    private static final long serialVersionUID = 578731019818455680L;
    @Column(name="TRANS_CODE")
    @ApiParam(value ="交易代码")
    private String transCode;

    @Column(name="CLASS_PATH")
    @ApiParam(value ="类路径")
    private String classPath;

    @Column(name="ATTRIBUTE")
    @ApiParam(value ="属性")
    private String attribute;

    @Column(name="METHOD_NAME")
    @ApiParam(value ="方法名")
    private String methodName;
}
