package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 交易处理组件表
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2018-11-01 11:57
 * @Modify:
 **/
@Data
@Entity
@Table(name = "WMS_TRANS_MODULE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "交易处理组件表", description = "交易处理组件表")
public class WmsTransModule extends BaseBean {

    private static final long serialVersionUID = 5329077579052808553L;
    @Column(name = "TM_NAME")
    @ApiParam(value = "组件名称")
    private String tmName;

    @Column(name = "TM_DESC")
    @ApiParam(value = "组件描述")
    private String tmDesc;

    @Column(name = "CALL_CLASS")
    @ApiParam(value = "实现类")
    private String callClass;

    @Column(name = "TM_TYPE")
    @ApiParam(value = "组件类型", example = "-1")
    private Integer tmType;

}
