package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description 用户打印机绑定信息
 * @Reference
 * @Author dragon
 * @CreateDate 2020/12/17 15:38
 * @Modify
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name="WMS_USER_PRINTER_INFO")
@Api("用户打印机绑定信息")
public class WmsUserPrinterInfo extends BaseBean{

    @Column(name="PRINTER_NO")
    @ApiParam("打印机编号")
    private String printerNo;

    @Column(name="USER_NO")
    @ApiParam("用户编码")
    private String userNo;

}