package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 供应商窗口时间
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-04-11
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_VENDOR_WINDOW")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="供应商窗口时间",description = "供应商窗口时间")
public class WmsVendorWindow extends BaseBean {

    private static final long serialVersionUID = -8156667748890281030L;
    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编号")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam(value = "供应商名称")
    private String vendorName;

    @Column(name = "WINDOW_TIME")
    @ApiParam(value = "窗口时间")
    private String windowTime;

    @Column(name = "DELAY_HOUR")
    @ApiParam(value = "容差")
    private Integer delayHour;

    @Column(name = "WEEK_DAY")
    @ApiParam(value = "星期")
    private String weekDay;
}
