package cn.estsh.i3plus.pojo.wms.bean.dynamictable;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * @Description : WMS列表元素菜单关系表
 * @Reference :
 * @Author : sjc
 * @CreateDate : 2020-01-07 09:06
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_LISTELEMENT_FUNCTION", indexes = {
        @Index(columnList = "FUNCTION_ID"),
        @Index(columnList = "ELEMENT_ID"),
        @Index(columnList = "USER_CODE")
})
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="WMS列表元素菜单关系表",description = "WMS列表元素菜单关系表")
public class WmsListElementFunction extends BaseBean {

    private static final long serialVersionUID = 3903166651913139061L;
    @Column(name = "FUNCTION_ID")
    @ApiParam(value = "功能菜单ID")
    private Long functionId;

    @Column(name = "ELEMENT_ID")
    @ApiParam(value = "元素ID")
    private Long elementId;

    @Column(name = "USER_CODE")
    @ApiParam(value = "用户编号")
    private String userCode;

    @Column(name = "IS_DEFAULT")
    @ApiParam(value = "是否默认配置")
    private Integer isDefault;
}
