package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

/**
 * @Description :移动单效率(出参)
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-04-10 3:21 下午
 * @Modify:
 **/
@Data
@Api("移动单效率(出参)")
public class WmsMoveMovementEffectivenessDto {

    @Id
    @GeneratedValue(generator = "IDGenerator")
    @GenericGenerator(name = "IDGenerator", strategy = "assigned")
    @Column(name = "ID")
    @ApiParam(value = "主键", example = "0")
    public Long id;

    @ApiParam(value = "日期")
    private String date;

    @ApiParam(value = "比列")
    private Double percentage;

    public WmsMoveMovementEffectivenessDto(String date, Double percentage) {
        this.date = date;
        this.percentage = percentage;
    }

    public WmsMoveMovementEffectivenessDto() {
    }
}
