package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

/**
 * @Description :装车单打印输出model(出参)
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-04-10 3:21 下午
 * @Modify:
 **/
@Data
@Api("静态盘点查询输出实体类")
public class WmsStockSnDto {

    @Id
    @GeneratedValue(generator = "IDGenerator")
    @GenericGenerator(name = "IDGenerator", strategy = "assigned")
    @Column(name = "ID")
    @ApiParam(value = "主键", example = "0")
    public Long id;

    @ApiParam(value = "库位")
    private String locateNo;
    @ApiParam(value = "物料号")
    private String partNo;
    @ApiParam(value = "物料名称")
    private String partNameRdd;
    @ApiParam(value = "数量")
    private Double qty;
    @ApiParam(value = "生产批次")
    private String dateCode;

    @ApiParam(value = "规格")
    private String partSpec;

    @ApiParam(value = "存储区")
    private String zoneNo;

    public WmsStockSnDto(String locateNo, String partNo, String partNameRdd, Double qty, String dateCode) {
        this.locateNo = locateNo;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.qty = qty;
        this.dateCode = dateCode;
    }

    public WmsStockSnDto(String locateNo, String partNo, String partNameRdd, Double qty, String dateCode, String partSpec) {
        this.locateNo = locateNo;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.qty = qty;
        this.dateCode = dateCode;
        this.partSpec = partSpec;
    }

    public WmsStockSnDto(String locateNo, String partNo, String partNameRdd, Double qty, String dateCode, String partSpec, String zoneNo) {
        this.locateNo = locateNo;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.qty = qty;
        this.dateCode = dateCode;
        this.partSpec = partSpec;
        this.zoneNo = zoneNo;
    }

    public WmsStockSnDto() {
    }
}
