package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description :  Bom接口数据Model
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-08-17 10:03
 * @Modify:
 **/
@Data
@Api("Bom接口数据Model")
@AllArgsConstructor
@NoArgsConstructor
public class BomItemModel {

    @ApiParam("父物料号")
    private String partNo;
    @ApiParam("父物料描述")
    private String partName;
    @ApiParam(value = "数量")
    private Double qty;
    @ApiParam(value = "计量单位")
    private String unit;

    @ApiParam(value = "子物料号")
    private String itemPartNo;
    @ApiParam(value = "子料物料描述")
    private String itemPartNam;
    @ApiParam(value = "子计量单位")
    private String itemUnit;
    @ApiParam(value = "子用量")
    private Double itemQty;

    @ApiParam(value = "是否虚阶物料")
    private String category;

    @ApiParam(value = "有效起始日期")
    private String effStartTime;
    @ApiParam(value = "有效截止日期")
    private String effEndTime;

    @ApiParam(value = "工厂代码")
    private String organizeCode;

    private boolean isVirtualPart = false;

}
