package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 零件自动采购单信息
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-05-18
 * @Modify:
 **/
@Data
@Api("零件自动采购单信息")
public class WmsAutoPurchasePartModel extends Pager {
    @ApiParam("合同号")
    private String orderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam(value = "单位")
    private String unit;

    @ApiParam("物料数量")
    private Double qty;

    @ApiParam("Erp库存地")
    private String erpWarehouse;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("要货时间")
    private String arriveTime;

    private Integer preReceivingDay;

    public WmsAutoPurchasePartModel(String partNo, String partName, Double qty, String warehouse, Integer preReceivingDay) {
        this.partNo = partNo;
        this.partName = partName;
        this.qty = qty;
        this.erpWarehouse = warehouse;
        this.preReceivingDay = preReceivingDay;
    }

    public WmsAutoPurchasePartModel() {

    }
}
