package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.wms.bean.WmsAutoTaskLog;
import cn.estsh.i3plus.pojo.wms.bean.WmsDocMovementDetails;
import cn.estsh.i3plus.pojo.wms.bean.WmsStockSn;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-06-22 18:59
 * @Modify:
 **/
@Data
public class WmsAutoTaskModel {

    @ApiParam("业务类型")
    private Integer busiType;

    @ApiParam("存储区")
    private String zoneNo;

    @ApiParam("单据号")
    private String orderNo;

    @ApiParam("物料集合")
    private List<String> partList;

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("交易类型")
    private String transTypeCode;

    @ApiParam("锁定库位")
    private String lockLocacte;

    @ApiParam("锁定源库位")
    private String srcLockLocacte;

    @ApiParam("方向")
    private Integer direction;

    @ApiParam("货格")
    private String packageNo;

    @ApiParam("锁定料车")
    private String lockCar;

    @ApiParam("预存锁定料车")
    private String prestoreLockCar;

    @ApiParam("物料对应的单据明细集合")
    private Map<String, WmsDocMovementDetails>  partNoDetailsList;

    @ApiParam("锁定物料对应的条码")
    private Map<String,List<WmsStockSn>> partNoGroupListMap;

    @ApiParam("锁定条码")
    private List<WmsStockSn> lockStockSnList;

    @ApiParam("动作日志记录")
    private WmsAutoTaskLog wmsAutoTaskLog;

    @ApiParam("任务生成数量")
    private Double taskQty;

    @ApiParam("返回错误信息")
    public String errorMsg;

    @ApiParam("策略代码")
    public String strategyNo;

    @ApiParam("策略动作")
    public String strategyAction;
}
