package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 子检测项
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-04-29 16:23
 * @Modify:
 **/
@Data
@Api("子检测项model")
public class WmsPartItemCheckModel {

    @ApiParam("子检测项代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String checkItemCode;

    @ApiParam("子检测项名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String checkItemName;

    @ApiParam("子检测箱值类型")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.SELECT, dataSrc = "BH_VALUE_TYPE")
    private Integer valueType;

    @ApiParam("检测值")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER, isRequire = 2)
    private Double checkValue;

    @ApiParam("是否合格")
    @AnnoOutputColumn(refClass = WmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    public Integer isQualified;

    @ApiParam("标准值")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER, isRequire = 2)
    private Integer standard;

    @ApiParam("最大值")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER, isRequire = 2)
    private Double max;

    @ApiParam("最小值")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER, isRequire = 2)
    private Double min;

}
