package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : PO明细回传汇总Model
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-09-12 13:56
 * @Modify:
 **/
@Data
@Api("PO明细回传汇总Model")
public class WmsPoCountModel {

    @ApiParam(value = "po单号")
    private String poOrderNo;

    @ApiParam(value = "收货日期")
    private String rcDate;

    @ApiParam(value = "源单号")
    private String srcOrderNo;

    @ApiParam(value = "源行号")
    private Integer srcItem;

    @ApiParam(value = "收货批次")
    private String lotNo;

    @ApiParam(value = "物料号")
    private String partNo;

    @ApiParam(value = "物料名称")
    private String partName;

    @ApiParam(value = "仓库")
    private String whNo;

    @ApiParam(value = "汇总数量")
    private Double sumQty;

    @ApiParam(value = "供应商批次")
    private String venLotNo;

    @ApiParam(value = "操作人")
    private String user;

    public WmsPoCountModel() {
    }

    public WmsPoCountModel(String poOrderNo, String rcDate, String srcOrderNo, Integer srcItem, String lotNo, String partNo, String partName, String whNo, Double sumQty, String venLotNo, String user) {
        this.poOrderNo = poOrderNo;
        this.rcDate = rcDate;
        this.srcOrderNo = srcOrderNo;
        this.srcItem = srcItem;
        this.lotNo = lotNo;
        this.partNo = partNo;
        this.partName = partName;
        this.whNo = whNo;
        this.sumQty = sumQty;
        this.venLotNo = venLotNo;
        this.user = user;
    }
}
