package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 委外扣减库存
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-08-31 9:44
 * @Modify:
 **/
@Data
@Api("委外扣减库存模型")
public class WmsShipModel extends BaseBean {

    @ApiParam(value ="组织代码")
    public String organizeCode;

    @ApiParam("物料编码")
    private String shipPartNo;

    @ApiParam("物料名称")
    public String shipPartName;

    @ApiParam("简称及版本")
    private String rcPartNo;

    @ApiParam("项目名称")
    private String prodCfgTypeName;

    @ApiParam("单位")
    public String unit;

    @ApiParam("委外发运数量")
    public Double shipQty;

    @ApiParam("发运存储区代码")
    public String shipZoneNo;

    @ApiParam("ASN收货数量")
    private Double rcQty;

    @ApiParam("ASN收货存储区代码")
    public String rcZoneNo;

    @ApiParam("委外库存数量")
    private Double shipStockQty;

    @ApiParam("委外发运时间")
    private String shipTime;

    @ApiParam(value="发运时间，查询起始日期")
    public String shipTimeStart;

    @ApiParam(value = "发运时间，查询结束日期")
    public String shipTimeEnd;
}
