package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.wms.bean.WmsTmsShippingExt;
import cn.estsh.i3plus.pojo.wms.dto.WmsTmsShipModel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description :装车单打印输出model(出参)
 * @Reference :
 * @Author :QianHuaSheng
 * @CreateDate : 2020-04-10 3:21 下午
 * @Modify:
 **/
@Data
@Api("静态盘点查询输出model")
public class WmsTmsShippingExtModel {

	@ApiParam(value = "移库单号")
	private String moveNo="";

	@ApiParam(value = "到货地点")
	private String destination="";

	@ApiParam(value = "接收人")
	private String recUser="";

	@ApiParam(value = "接收人电话")
	private String recPhone="";

	@ApiParam(value = "道口")
	private String dockNo="";

	@ApiParam(value = "承运商编号")
	private String vendorNo="";

	@ApiParam(value = "承运商名称RDD")
	private String vendorName="";

	@ApiParam(value = "驾驶员编号")
	private String driverNo="";

	@ApiParam(value = "驾驶员名称RDD")
	private String driverName="";

	@ApiParam(value = "驾驶员联系方式RDD")
	private String phone="";

	@ApiParam(value = "单据状态")
	private Integer orderStatus=0;

	@ApiParam(value = "客户名称RDD")
	private String custName="";

	@ApiParam(value = "客户编号RDD")
	private String custNo="";

	@ApiParam(value = "车牌号RDD")
	private String carNo="";

	@ApiParam(value = "计划发车时间")
	private String deliveryTime="";

	@ApiParam(value = "要求到货时间")
	private String arrivelTime="";

	@ApiParam(value = " 申请部门")
	private String depart="";

	@ApiParam("物料编码")
	private String partNo="";

	@ApiParam("关联单号")
	private String refOrderNo="";

	@ApiParam("回执单地址")
	private String pathUrl="";

	@ApiParam("打印模板列表")
	private List<WmsTmsShipModel> shipModels=new ArrayList<>();

	//需求仓库-目的仓库
	@ApiParam("目的仓库")
	private String descWarehouse="";

	//承运商-物流供应商
	@ApiParam("物流供应商")
	private String logisticsVendorNo="";

	//运输方式-单据运输方式（维护内容）
	@ApiParam("单据运输方式")
	private Integer documentTransportMethod=0;

	//是否不良品调拨—调拨单录入字段
	@ApiParam("调拨单录入字段")
	private String defectiveAllocation="";

	@ApiParam("发运时间")
	private String shippingTime="";

	@ApiParam("发运人")
	private String shippingUser="";

	@ApiParam("下单日期")
	private String orderDate="";

	@ApiParam("模板编号")
	private String templateNo="";

	//装车单明细已物料区分
	@ApiParam("各个物料详情")
	private List<WmsTmsShippingExtDeatilModel> tmsShippingExtDeatilModels = new ArrayList<>();

	public WmsTmsShippingExtModel() {

	}

	public WmsTmsShippingExtModel(WmsTmsShippingExt wmsTmsShippingExt) {
		this.moveNo = wmsTmsShippingExt.getMoveNo();
		this.descWarehouse=wmsTmsShippingExt.getDescWarehouse();
		this.vendorName=wmsTmsShippingExt.getVendorName();
		this.documentTransportMethod=wmsTmsShippingExt.getDocumentTransportMethod();
		this.shippingTime=wmsTmsShippingExt.getCreateDatetime();
		this.shippingUser=wmsTmsShippingExt.getCreateUser();
		this.defectiveAllocation=wmsTmsShippingExt.getDefectiveAllocation();
		this.orderDate=wmsTmsShippingExt.getCreateDatetime();
	}
}
