package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 供应商延迟到货汇总表model
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-05-11
 * @Modify:
 **/
@Data
@Api("供应商延迟到货汇总表model")
public class WmsVendorDelayMasterModel extends BaseBean {

    private static final long serialVersionUID = 1589775350017343999L;
    @ApiParam(value = "订单号")
    private String orderNo;

    @ApiParam(value = "原因")
    public String reason;

    @ApiParam(value = "供应商代码")
    private String vendorNo;

    @ApiParam(value = "供应商名称")
    private String vendorName;

    @ApiParam(value = "延迟次数")
    private Long delayCount;

    @ApiParam(value = "延迟次数")
    private Long sumDelayCount;

    @ApiParam(value = "延迟到货百分比")
    private String delayPercent;

    @ApiParam(value = "查询开始时间")
    private String startDateTime;

    @ApiParam(value = "查询结束时间")
    private String endDateTime;

    @ApiParam("计划交货日期")
    private String planDate;

    @ApiParam("计划交货时间")
    private String planTime;

    @ApiParam("实际交货时间")
    private String actualPlanTime;

    @ApiParam("计划交货时间")
    private String planPlanDateTime;


    public WmsVendorDelayMasterModel(String vendorNo, String vendorName, Long count, String organizeCode, String createDateTime) {
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.delayCount = count;
        this.organizeCode = organizeCode;
        this.createDatetime = createDateTime;
    }

    public WmsVendorDelayMasterModel(String orderNo, String reason, String planDate, String planTime,
                                     String actualPlanTime, String vendorNo, String vendorName, String organizeCode) {
        this.orderNo = orderNo;
        this.reason = reason;
        this.planDate = planDate;
        this.planTime = planTime;
        this.actualPlanTime = actualPlanTime;
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.organizeCode = organizeCode;
    }

    public WmsVendorDelayMasterModel(String vendorNo, Long delayCount) {
        this.vendorNo = vendorNo;
        this.delayCount = delayCount;
    }

    public WmsVendorDelayMasterModel() {

    }

}
